import{s as ne,n as ae,o as ie}from"../chunks/scheduler.9bc65507.js";import{S as oe,i as le,g as l,s as i,r as U,A as se,h as s,f as n,c as o,j as Y,u as X,x as m,k as Z,y as re,a,v as K,d as Q,t as V,w as ee}from"../chunks/index.707bf1b6.js";import{H as te}from"../chunks/Heading.342b1fa6.js";function me(E){let r,G,_,b,p,C,u,M,f,R=`DialoGPT was proposed in <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a> by Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao,
Jianfeng Gao, Jingjing Liu, Bill Dolan. It’s a GPT2 Model trained on 147M conversation-like exchanges extracted from
Reddit.`,$,d,W="The abstract from the paper is the following:",L,h,A=`<em>We present a large, tunable neural conversational response generation model, DialoGPT (dialogue generative pre-trained
transformer). Trained on 147M conversation-like exchanges extracted from Reddit comment chains over a period spanning
from 2005 through 2017, DialoGPT extends the Hugging Face PyTorch transformer to attain a performance close to human
both in terms of automatic and human evaluation in single-turn dialogue settings. We show that conversational systems
that leverage DialoGPT generate more relevant, contentful and context-consistent responses than strong baseline
systems. The pre-trained model and training pipeline are publicly released to facilitate research into neural response
generation and the development of more intelligent open-domain dialogue systems.</em>`,D,c,I="Tips:",y,g,O=`<li>DialoGPT is a model with absolute position embeddings so it’s usually advised to pad the inputs on the right rather
than the left.</li> <li>DialoGPT was trained with a causal language modeling (CLM) objective on conversational data and is therefore powerful
at response generation in open-domain dialogue systems.</li> <li>DialoGPT enables the user to create a chat bot in just 10 lines of code as shown on <a href="https://huggingface.co/microsoft/DialoGPT-medium" rel="nofollow">DialoGPT’s model card</a>.</li>`,H,v,B="Training:",k,T,F=`In order to train or fine-tune DialoGPT, one can use causal language modeling training. To cite the official paper: <em>We
follow the OpenAI GPT-2 to model a multiturn dialogue session as a long text and frame the generation task as language
modeling. We first concatenate all dialog turns within a dialogue session into a long text x_1,…, x_N (N is the
sequence length), ended by the end-of-text token.</em> For more information please confer to the original paper.`,S,P,J='DialoGPT’s architecture is based on the GPT2 model, so one can refer to <a href="gpt2">GPT2’s documentation page</a>.',j,x,N='The original code can be found <a href="https://github.com/microsoft/DialoGPT" rel="nofollow">here</a>.',q,w,z;return p=new te({props:{title:"DialoGPT",local:"dialogpt",headingTag:"h1"}}),u=new te({props:{title:"Overview",local:"overview",headingTag:"h2"}}),{c(){r=l("meta"),G=i(),_=l("p"),b=i(),U(p.$$.fragment),C=i(),U(u.$$.fragment),M=i(),f=l("p"),f.innerHTML=R,$=i(),d=l("p"),d.textContent=W,L=i(),h=l("p"),h.innerHTML=A,D=i(),c=l("p"),c.textContent=I,y=i(),g=l("ul"),g.innerHTML=O,H=i(),v=l("p"),v.textContent=B,k=i(),T=l("p"),T.innerHTML=F,S=i(),P=l("p"),P.innerHTML=J,j=i(),x=l("p"),x.innerHTML=N,q=i(),w=l("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);r=s(t,"META",{name:!0,content:!0}),t.forEach(n),G=o(e),_=s(e,"P",{}),Y(_).forEach(n),b=o(e),X(p.$$.fragment,e),C=o(e),X(u.$$.fragment,e),M=o(e),f=s(e,"P",{"data-svelte-h":!0}),m(f)!=="svelte-1r5vgq6"&&(f.innerHTML=R),$=o(e),d=s(e,"P",{"data-svelte-h":!0}),m(d)!=="svelte-vfdo9a"&&(d.textContent=W),L=o(e),h=s(e,"P",{"data-svelte-h":!0}),m(h)!=="svelte-7bhez3"&&(h.innerHTML=A),D=o(e),c=s(e,"P",{"data-svelte-h":!0}),m(c)!=="svelte-axv494"&&(c.textContent=I),y=o(e),g=s(e,"UL",{"data-svelte-h":!0}),m(g)!=="svelte-1kdkvca"&&(g.innerHTML=O),H=o(e),v=s(e,"P",{"data-svelte-h":!0}),m(v)!=="svelte-1igpel8"&&(v.textContent=B),k=o(e),T=s(e,"P",{"data-svelte-h":!0}),m(T)!=="svelte-1yc28b0"&&(T.innerHTML=F),S=o(e),P=s(e,"P",{"data-svelte-h":!0}),m(P)!=="svelte-1m6wzbj"&&(P.innerHTML=J),j=o(e),x=s(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-17b2666"&&(x.innerHTML=N),q=o(e),w=s(e,"P",{}),Y(w).forEach(n),this.h()},h(){Z(r,"name","hf:doc:metadata"),Z(r,"content",pe)},m(e,t){re(document.head,r),a(e,G,t),a(e,_,t),a(e,b,t),K(p,e,t),a(e,C,t),K(u,e,t),a(e,M,t),a(e,f,t),a(e,$,t),a(e,d,t),a(e,L,t),a(e,h,t),a(e,D,t),a(e,c,t),a(e,y,t),a(e,g,t),a(e,H,t),a(e,v,t),a(e,k,t),a(e,T,t),a(e,S,t),a(e,P,t),a(e,j,t),a(e,x,t),a(e,q,t),a(e,w,t),z=!0},p:ae,i(e){z||(Q(p.$$.fragment,e),Q(u.$$.fragment,e),z=!0)},o(e){V(p.$$.fragment,e),V(u.$$.fragment,e),z=!1},d(e){e&&(n(G),n(_),n(b),n(C),n(M),n(f),n($),n(d),n(L),n(h),n(D),n(c),n(y),n(g),n(H),n(v),n(k),n(T),n(S),n(P),n(j),n(x),n(q),n(w)),n(r),ee(p,e),ee(u,e)}}}const pe='{"title":"DialoGPT","local":"dialogpt","sections":[{"title":"Overview","local":"overview","sections":[],"depth":2}],"depth":1}';function ue(E){return ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends oe{constructor(r){super(),le(this,r,ue,me,ne,{})}}export{ce as component};
