import{s as We,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s as a,r as m,A as tt,h as o,f as t,c as n,j as v,u as i,x as w,k as $,y as d,a as s,v as f,d as c,t as u,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as se}from"../chunks/Heading.342b1fa6.js";function rt(Ve){let h,ae,te,ne,P,le,T,ke="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,C,qe="Most of those are only useful if you are studying the general code in the library.",me,L,ie,b,D,Ce,J,He="Enum with more explicit error message for missing values.",de,y,M,Le,Q,Ue=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/pr_1/en/model_doc/perceiver#transformers.PerceiverTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,I,De,W,je=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/pr_1/en/model_doc/perceiver#transformers.PerceiverTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ce,z,ue,S,V,pe,k,q,ge,H,U,ve,j,A,$e,B,G,_e,O,he,g,F,Me,X,Ae="Descriptor that mimics @property but caches output in member variable.",Ie,Y,Be="From tensorflow_datasets",ze,Z,Ge="Built-in in functools from Python 3.8.",be,K,ye,N,R,Se,ee,Oe="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return P=new se({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new se({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/generic.py#L433"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/generic.py#L445"}}),I=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/generic.py#L456"}}),z=new se({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),V=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/doc.py#L23"}}),q=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/doc.py#L31"}}),U=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/doc.py#L53"}}),A=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/doc.py#L1064"}}),G=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/doc.py#L1152"}}),O=new se({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),F=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/generic.py#L36"}}),K=new se({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),R=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/import_utils.py#L1270"}}),{c(){h=l("meta"),ae=a(),te=l("p"),ne=a(),m(P.$$.fragment),le=a(),T=l("p"),T.innerHTML=ke,oe=a(),C=l("p"),C.textContent=qe,me=a(),m(L.$$.fragment),ie=a(),b=l("div"),m(D.$$.fragment),Ce=a(),J=l("p"),J.textContent=He,de=a(),y=l("div"),m(M.$$.fragment),Le=a(),Q=l("p"),Q.innerHTML=Ue,fe=a(),x=l("div"),m(I.$$.fragment),De=a(),W=l("p"),W.innerHTML=je,ce=a(),m(z.$$.fragment),ue=a(),S=l("div"),m(V.$$.fragment),pe=a(),k=l("div"),m(q.$$.fragment),ge=a(),H=l("div"),m(U.$$.fragment),ve=a(),j=l("div"),m(A.$$.fragment),$e=a(),B=l("div"),m(G.$$.fragment),_e=a(),m(O.$$.fragment),he=a(),g=l("div"),m(F.$$.fragment),Me=a(),X=l("p"),X.textContent=Ae,Ie=a(),Y=l("p"),Y.textContent=Be,ze=a(),Z=l("p"),Z.textContent=Ge,be=a(),m(K.$$.fragment),ye=a(),N=l("div"),m(R.$$.fragment),Se=a(),ee=l("p"),ee.textContent=Oe,xe=a(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);h=o(r,"META",{name:!0,content:!0}),r.forEach(t),ae=n(e),te=o(e,"P",{}),v(te).forEach(t),ne=n(e),i(P.$$.fragment,e),le=n(e),T=o(e,"P",{"data-svelte-h":!0}),w(T)!=="svelte-1d4d2gz"&&(T.innerHTML=ke),oe=n(e),C=o(e,"P",{"data-svelte-h":!0}),w(C)!=="svelte-11r0tff"&&(C.textContent=qe),me=n(e),i(L.$$.fragment,e),ie=n(e),b=o(e,"DIV",{class:!0});var we=v(b);i(D.$$.fragment,we),Ce=n(we),J=o(we,"P",{"data-svelte-h":!0}),w(J)!=="svelte-u4x3ci"&&(J.textContent=He),we.forEach(t),de=n(e),y=o(e,"DIV",{class:!0});var Ee=v(y);i(M.$$.fragment,Ee),Le=n(Ee),Q=o(Ee,"P",{"data-svelte-h":!0}),w(Q)!=="svelte-1qgwf5r"&&(Q.innerHTML=Ue),Ee.forEach(t),fe=n(e),x=o(e,"DIV",{class:!0});var Pe=v(x);i(I.$$.fragment,Pe),De=n(Pe),W=o(Pe,"P",{"data-svelte-h":!0}),w(W)!=="svelte-ov8yhr"&&(W.innerHTML=je),Pe.forEach(t),ce=n(e),i(z.$$.fragment,e),ue=n(e),S=o(e,"DIV",{class:!0});var Fe=v(S);i(V.$$.fragment,Fe),Fe.forEach(t),pe=n(e),k=o(e,"DIV",{class:!0});var Ke=v(k);i(q.$$.fragment,Ke),Ke.forEach(t),ge=n(e),H=o(e,"DIV",{class:!0});var Re=v(H);i(U.$$.fragment,Re),Re.forEach(t),ve=n(e),j=o(e,"DIV",{class:!0});var Je=v(j);i(A.$$.fragment,Je),Je.forEach(t),$e=n(e),B=o(e,"DIV",{class:!0});var Qe=v(B);i(G.$$.fragment,Qe),Qe.forEach(t),_e=n(e),i(O.$$.fragment,e),he=n(e),g=o(e,"DIV",{class:!0});var E=v(g);i(F.$$.fragment,E),Me=n(E),X=o(E,"P",{"data-svelte-h":!0}),w(X)!=="svelte-4cuoeh"&&(X.textContent=Ae),Ie=n(E),Y=o(E,"P",{"data-svelte-h":!0}),w(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Be),ze=n(E),Z=o(E,"P",{"data-svelte-h":!0}),w(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Ge),E.forEach(t),be=n(e),i(K.$$.fragment,e),ye=n(e),N=o(e,"DIV",{class:!0});var Te=v(N);i(R.$$.fragment,Te),Se=n(Te),ee=o(Te,"P",{"data-svelte-h":!0}),w(ee)!=="svelte-tjmjug"&&(ee.textContent=Oe),Te.forEach(t),xe=n(e),re=o(e,"P",{}),v(re).forEach(t),this.h()},h(){$(h,"name","hf:doc:metadata"),$(h,"content",st),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,h),s(e,ae,r),s(e,te,r),s(e,ne,r),f(P,e,r),s(e,le,r),s(e,T,r),s(e,oe,r),s(e,C,r),s(e,me,r),f(L,e,r),s(e,ie,r),s(e,b,r),f(D,b,null),d(b,Ce),d(b,J),s(e,de,r),s(e,y,r),f(M,y,null),d(y,Le),d(y,Q),s(e,fe,r),s(e,x,r),f(I,x,null),d(x,De),d(x,W),s(e,ce,r),f(z,e,r),s(e,ue,r),s(e,S,r),f(V,S,null),s(e,pe,r),s(e,k,r),f(q,k,null),s(e,ge,r),s(e,H,r),f(U,H,null),s(e,ve,r),s(e,j,r),f(A,j,null),s(e,$e,r),s(e,B,r),f(G,B,null),s(e,_e,r),f(O,e,r),s(e,he,r),s(e,g,r),f(F,g,null),d(g,Me),d(g,X),d(g,Ie),d(g,Y),d(g,ze),d(g,Z),s(e,be,r),f(K,e,r),s(e,ye,r),s(e,N,r),f(R,N,null),d(N,Se),d(N,ee),s(e,xe,r),s(e,re,r),Ne=!0},p:Xe,i(e){Ne||(c(P.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(I.$$.fragment,e),c(z.$$.fragment,e),c(V.$$.fragment,e),c(q.$$.fragment,e),c(U.$$.fragment,e),c(A.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(F.$$.fragment,e),c(K.$$.fragment,e),c(R.$$.fragment,e),Ne=!0)},o(e){u(P.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(I.$$.fragment,e),u(z.$$.fragment,e),u(V.$$.fragment,e),u(q.$$.fragment,e),u(U.$$.fragment,e),u(A.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(F.$$.fragment,e),u(K.$$.fragment,e),u(R.$$.fragment,e),Ne=!1},d(e){e&&(t(ae),t(te),t(ne),t(le),t(T),t(oe),t(C),t(me),t(ie),t(b),t(de),t(y),t(fe),t(x),t(ce),t(ue),t(S),t(pe),t(k),t(ge),t(H),t(ve),t(j),t($e),t(B),t(_e),t(he),t(g),t(be),t(ye),t(N),t(xe),t(re)),t(h),p(P,e),p(L,e),p(D),p(M),p(I),p(z,e),p(V),p(q),p(U),p(A),p(G),p(O,e),p(F),p(K,e),p(R)}}}const st='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function at(Ve){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(h){super(),et(this,h,at,rt,We,{})}}export{it as component};
