import{s as Z,n as ee,o as te}from"../chunks/scheduler.9bc65507.js";import{S as ae,i as ne,g as l,s as o,r as K,A as oe,h as s,f as a,c as i,j as F,u as G,x as p,k as J,y as ie,a as n,v as N,d as Q,t as Y,w as D}from"../chunks/index.707bf1b6.js";import{H as I}from"../chunks/Heading.342b1fa6.js";function le(A){let r,T,_,C,h,S,c,b,m,V=`The XLS-R model was proposed in <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a> by Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman
Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli.`,$,u,W="The abstract from the paper is the following:",M,f,B=`<em>This paper presents XLS-R, a large-scale model for cross-lingual speech representation learning based on wav2vec 2.0.
We train models with up to 2B parameters on nearly half a million hours of publicly available speech audio in 128
languages, an order of magnitude more public data than the largest known prior work. Our evaluation covers a wide range
of tasks, domains, data regimes and languages, both high and low-resource. On the CoVoST-2 speech translation
benchmark, we improve the previous state of the art by an average of 7.4 BLEU over 21 translation directions into
English. For speech recognition, XLS-R improves over the best known prior work on BABEL, MLS, CommonVoice as well as
VoxPopuli, lowering error rates by 14-34% relative on average. XLS-R also sets a new state of the art on VoxLingua107
language identification. Moreover, we show that with sufficient model size, cross-lingual pretraining can outperform
English-only pretraining when translating English speech into other languages, a setting which favors monolingual
pretraining. We hope XLS-R can help to improve speech processing tasks for many more languages of the world.</em>`,P,v,z="Tips:",y,d,O=`<li>XLS-R is a speech model that accepts a float array corresponding to the raw waveform of the speech signal.</li> <li>XLS-R model was trained using connectionist temporal classification (CTC) so the model output has to be decoded using
<a href="/docs/transformers/pr_1/en/model_doc/wav2vec2#transformers.Wav2Vec2CTCTokenizer">Wav2Vec2CTCTokenizer</a>.</li>`,k,g,j='Relevant checkpoints can be found under <a href="https://huggingface.co/models?other=xls_r" rel="nofollow">https://huggingface.co/models?other=xls_r</a>.',H,w,q='XLS-R’s architecture is based on the Wav2Vec2 model, so one can refer to <a href="wav2vec2">Wav2Vec2’s documentation page</a>.',R,L,U='The original code can be found <a href="https://github.com/pytorch/fairseq/tree/master/fairseq/models/wav2vec" rel="nofollow">here</a>.',X,x,E;return h=new I({props:{title:"XLS-R",local:"xls-r",headingTag:"h1"}}),c=new I({props:{title:"Overview",local:"overview",headingTag:"h2"}}),{c(){r=l("meta"),T=o(),_=l("p"),C=o(),K(h.$$.fragment),S=o(),K(c.$$.fragment),b=o(),m=l("p"),m.innerHTML=V,$=o(),u=l("p"),u.textContent=W,M=o(),f=l("p"),f.innerHTML=B,P=o(),v=l("p"),v.textContent=z,y=o(),d=l("ul"),d.innerHTML=O,k=o(),g=l("p"),g.innerHTML=j,H=o(),w=l("p"),w.innerHTML=q,R=o(),L=l("p"),L.innerHTML=U,X=o(),x=l("p"),this.h()},l(e){const t=oe("svelte-u9bgzb",document.head);r=s(t,"META",{name:!0,content:!0}),t.forEach(a),T=i(e),_=s(e,"P",{}),F(_).forEach(a),C=i(e),G(h.$$.fragment,e),S=i(e),G(c.$$.fragment,e),b=i(e),m=s(e,"P",{"data-svelte-h":!0}),p(m)!=="svelte-1nyy59j"&&(m.innerHTML=V),$=i(e),u=s(e,"P",{"data-svelte-h":!0}),p(u)!=="svelte-vfdo9a"&&(u.textContent=W),M=i(e),f=s(e,"P",{"data-svelte-h":!0}),p(f)!=="svelte-ul075o"&&(f.innerHTML=B),P=i(e),v=s(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-axv494"&&(v.textContent=z),y=i(e),d=s(e,"UL",{"data-svelte-h":!0}),p(d)!=="svelte-tdtdc3"&&(d.innerHTML=O),k=i(e),g=s(e,"P",{"data-svelte-h":!0}),p(g)!=="svelte-p0mu8e"&&(g.innerHTML=j),H=i(e),w=s(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-fxuwrw"&&(w.innerHTML=q),R=i(e),L=s(e,"P",{"data-svelte-h":!0}),p(L)!=="svelte-12gzw10"&&(L.innerHTML=U),X=i(e),x=s(e,"P",{}),F(x).forEach(a),this.h()},h(){J(r,"name","hf:doc:metadata"),J(r,"content",se)},m(e,t){ie(document.head,r),n(e,T,t),n(e,_,t),n(e,C,t),N(h,e,t),n(e,S,t),N(c,e,t),n(e,b,t),n(e,m,t),n(e,$,t),n(e,u,t),n(e,M,t),n(e,f,t),n(e,P,t),n(e,v,t),n(e,y,t),n(e,d,t),n(e,k,t),n(e,g,t),n(e,H,t),n(e,w,t),n(e,R,t),n(e,L,t),n(e,X,t),n(e,x,t),E=!0},p:ee,i(e){E||(Q(h.$$.fragment,e),Q(c.$$.fragment,e),E=!0)},o(e){Y(h.$$.fragment,e),Y(c.$$.fragment,e),E=!1},d(e){e&&(a(T),a(_),a(C),a(S),a(b),a(m),a($),a(u),a(M),a(f),a(P),a(v),a(y),a(d),a(k),a(g),a(H),a(w),a(R),a(L),a(X),a(x)),a(r),D(h,e),D(c,e)}}}const se='{"title":"XLS-R","local":"xls-r","sections":[{"title":"Overview","local":"overview","sections":[],"depth":2}],"depth":1}';function re(A){return te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class me extends ae{constructor(r){super(),ne(this,r,re,le,Z,{})}}export{me as component};
