import{s as Ue,n as ze,o as Qe}from"../chunks/scheduler.9bc65507.js";import{S as Ne,i as Re,g as o,s as n,r as d,A as Be,h as s,f as r,c as a,j as v,u as c,x as l,k as $,y as e,a as p,v as u,d as f,t as g,w as h}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as Kt}from"../chunks/Heading.342b1fa6.js";function Ze(Pe){let w,wt,Dt,Ft,O,Ct,I,De="This page lists all the utility functions the library provides for pipelines.",Tt,V,ye="Most of those are only useful if you are studying the code of the models in the library.",Lt,q,Ht,F,W,Xt,rt,we='Base interface for handling arguments for each <a href="/docs/transformers/pr_1/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a>.',Et,C,j,Yt,nt,Fe=`Handles arguments for zero-shot for text classification by turning each possible label into an NLI
premise/hypothesis pair.`,Mt,P,J,te,at,Ce=`QuestionAnsweringPipeline requires the user to provide multiple arguments (i.e. question &amp; context) to be mapped to
internal <code>SquadExample</code>.`,ee,ot,Te=`QuestionAnsweringArgumentHandler manages all the possible to create a <code>SquadExample</code> from the command-line
supplied arguments.`,kt,U,At,m,z,re,st,Le=`Base class for all the pipeline supported data format both for reading and writing. Supported data formats
currently includes:`,ne,it,He="<li>JSON</li> <li>CSV</li> <li>stdin/stdout (pipe)</li>",ae,pt,Ee=`<code>PipelineDataFormat</code> also includes some utilities to work with multi-columns like mapping from datasets columns to
pipelines keyword arguments through the <code>dataset_kwarg_1=dataset_column_1</code> format.`,oe,L,Q,se,lt,Me='Creates an instance of the right subclass of <a href="/docs/transformers/pr_1/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a> depending on <code>format</code>.',ie,H,N,pe,mt,ke='Save the provided data object with the representation for the current <a href="/docs/transformers/pr_1/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',le,E,R,me,dt,Ae="Save the provided data object as a pickle-formatted binary data on the disk.",St,D,B,de,ct,Se="Support for pipelines using CSV data format.",ce,M,Z,ue,ut,Oe='Save the provided data object with the representation for the current <a href="/docs/transformers/pr_1/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',Ot,y,G,fe,ft,Ie="Support for pipelines using JSON file format.",ge,k,K,he,gt,Ve="Save the provided data object in a json file.",It,x,X,ve,ht,qe="Read data from piped input to the python process. For multi columns data, columns should separated by",$e,vt,We="If columns are provided, then the output will be a dictionary with {column_x: value_x}",be,A,Y,_e,$t,je="Print the data.",Vt,tt,qt,T,et,xe,bt,Je='Raised by a <a href="/docs/transformers/pr_1/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a> when handling <strong>call</strong>.',Wt,yt,jt;return O=new Kt({props:{title:"Utilities for pipelines",local:"utilities-for-pipelines",headingTag:"h1"}}),q=new Kt({props:{title:"Argument handling",local:"transformers.pipelines.ArgumentHandler",headingTag:"h2"}}),W=new _({props:{name:"class transformers.pipelines.ArgumentHandler",anchor:"transformers.pipelines.ArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L425"}}),j=new _({props:{name:"class transformers.pipelines.ZeroShotClassificationArgumentHandler",anchor:"transformers.pipelines.ZeroShotClassificationArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/zero_shot_classification.py#L14"}}),J=new _({props:{name:"class transformers.pipelines.QuestionAnsweringArgumentHandler",anchor:"transformers.pipelines.QuestionAnsweringArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/question_answering.py#L150"}}),U=new Kt({props:{title:"Data format",local:"transformers.PipelineDataFormat",headingTag:"h2"}}),z=new _({props:{name:"class transformers.PipelineDataFormat",anchor:"transformers.PipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L435"}}),Q=new _({props:{name:"from_str",anchor:"transformers.PipelineDataFormat.from_str",parameters:[{name:"format",val:": str"},{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.from_str.format",description:`<strong>format</strong> (<code>str</code>) &#x2014;
The format of the desired pipeline. Acceptable values are <code>&quot;json&quot;</code>, <code>&quot;csv&quot;</code> or <code>&quot;pipe&quot;</code>.`,name:"format"},{anchor:"transformers.PipelineDataFormat.from_str.output_path",description:`<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to save the outgoing data.`,name:"output_path"},{anchor:"transformers.PipelineDataFormat.from_str.input_path",description:`<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to look for the input data.`,name:"input_path"},{anchor:"transformers.PipelineDataFormat.from_str.column",description:`<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The column to read.`,name:"column"},{anchor:"transformers.PipelineDataFormat.from_str.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L512",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The proper data format.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/transformers/pr_1/en/internal/pipelines_utils#transformers.PipelineDataFormat"
>PipelineDataFormat</a></p>
`}}),N=new _({props:{name:"save",anchor:"transformers.PipelineDataFormat.save",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L484"}}),R=new _({props:{name:"save_binary",anchor:"transformers.PipelineDataFormat.save_binary",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save_binary.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L494",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Path where the data has been saved.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>str</code></p>
`}}),B=new _({props:{name:"class transformers.CsvPipelineDataFormat",anchor:"transformers.CsvPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.CsvPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.CsvPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.CsvPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L548"}}),Z=new _({props:{name:"save",anchor:"transformers.CsvPipelineDataFormat.save",parameters:[{name:"data",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>List[dict]</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L578"}}),G=new _({props:{name:"class transformers.JsonPipelineDataFormat",anchor:"transformers.JsonPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.JsonPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.JsonPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.JsonPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L592"}}),K=new _({props:{name:"save",anchor:"transformers.JsonPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L623"}}),X=new _({props:{name:"class transformers.PipedPipelineDataFormat",anchor:"transformers.PipedPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipedPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipedPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipedPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L634"}}),Y=new _({props:{name:"save",anchor:"transformers.PipedPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L663"}}),tt=new Kt({props:{title:"Utilities",local:"transformers.pipelines.PipelineException",headingTag:"h2"}}),et=new _({props:{name:"class transformers.pipelines.PipelineException",anchor:"transformers.pipelines.PipelineException",parameters:[{name:"task",val:": str"},{name:"model",val:": str"},{name:"reason",val:": str"}],parametersDescription:[{anchor:"transformers.pipelines.PipelineException.task",description:"<strong>task</strong> (<code>str</code>) &#x2014; The task of the pipeline.",name:"task"},{anchor:"transformers.pipelines.PipelineException.model",description:"<strong>model</strong> (<code>str</code>) &#x2014; The model used by the pipeline.",name:"model"},{anchor:"transformers.pipelines.PipelineException.reason",description:"<strong>reason</strong> (<code>str</code>) &#x2014; The error message to display.",name:"reason"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/pipelines/base.py#L408"}}),{c(){w=o("meta"),wt=n(),Dt=o("p"),Ft=n(),d(O.$$.fragment),Ct=n(),I=o("p"),I.textContent=De,Tt=n(),V=o("p"),V.textContent=ye,Lt=n(),d(q.$$.fragment),Ht=n(),F=o("div"),d(W.$$.fragment),Xt=n(),rt=o("p"),rt.innerHTML=we,Et=n(),C=o("div"),d(j.$$.fragment),Yt=n(),nt=o("p"),nt.textContent=Fe,Mt=n(),P=o("div"),d(J.$$.fragment),te=n(),at=o("p"),at.innerHTML=Ce,ee=n(),ot=o("p"),ot.innerHTML=Te,kt=n(),d(U.$$.fragment),At=n(),m=o("div"),d(z.$$.fragment),re=n(),st=o("p"),st.textContent=Le,ne=n(),it=o("ul"),it.innerHTML=He,ae=n(),pt=o("p"),pt.innerHTML=Ee,oe=n(),L=o("div"),d(Q.$$.fragment),se=n(),lt=o("p"),lt.innerHTML=Me,ie=n(),H=o("div"),d(N.$$.fragment),pe=n(),mt=o("p"),mt.innerHTML=ke,le=n(),E=o("div"),d(R.$$.fragment),me=n(),dt=o("p"),dt.textContent=Ae,St=n(),D=o("div"),d(B.$$.fragment),de=n(),ct=o("p"),ct.textContent=Se,ce=n(),M=o("div"),d(Z.$$.fragment),ue=n(),ut=o("p"),ut.innerHTML=Oe,Ot=n(),y=o("div"),d(G.$$.fragment),fe=n(),ft=o("p"),ft.textContent=Ie,ge=n(),k=o("div"),d(K.$$.fragment),he=n(),gt=o("p"),gt.textContent=Ve,It=n(),x=o("div"),d(X.$$.fragment),ve=n(),ht=o("p"),ht.textContent=qe,$e=n(),vt=o("p"),vt.textContent=We,be=n(),A=o("div"),d(Y.$$.fragment),_e=n(),$t=o("p"),$t.textContent=je,Vt=n(),d(tt.$$.fragment),qt=n(),T=o("div"),d(et.$$.fragment),xe=n(),bt=o("p"),bt.innerHTML=Je,Wt=n(),yt=o("p"),this.h()},l(t){const i=Be("svelte-u9bgzb",document.head);w=s(i,"META",{name:!0,content:!0}),i.forEach(r),wt=a(t),Dt=s(t,"P",{}),v(Dt).forEach(r),Ft=a(t),c(O.$$.fragment,t),Ct=a(t),I=s(t,"P",{"data-svelte-h":!0}),l(I)!=="svelte-wr9t4b"&&(I.textContent=De),Tt=a(t),V=s(t,"P",{"data-svelte-h":!0}),l(V)!=="svelte-1ui7w53"&&(V.textContent=ye),Lt=a(t),c(q.$$.fragment,t),Ht=a(t),F=s(t,"DIV",{class:!0});var Jt=v(F);c(W.$$.fragment,Jt),Xt=a(Jt),rt=s(Jt,"P",{"data-svelte-h":!0}),l(rt)!=="svelte-1wls3cp"&&(rt.innerHTML=we),Jt.forEach(r),Et=a(t),C=s(t,"DIV",{class:!0});var Ut=v(C);c(j.$$.fragment,Ut),Yt=a(Ut),nt=s(Ut,"P",{"data-svelte-h":!0}),l(nt)!=="svelte-1hjf3sf"&&(nt.textContent=Fe),Ut.forEach(r),Mt=a(t),P=s(t,"DIV",{class:!0});var _t=v(P);c(J.$$.fragment,_t),te=a(_t),at=s(_t,"P",{"data-svelte-h":!0}),l(at)!=="svelte-12i18ng"&&(at.innerHTML=Ce),ee=a(_t),ot=s(_t,"P",{"data-svelte-h":!0}),l(ot)!=="svelte-z2nze2"&&(ot.innerHTML=Te),_t.forEach(r),kt=a(t),c(U.$$.fragment,t),At=a(t),m=s(t,"DIV",{class:!0});var b=v(m);c(z.$$.fragment,b),re=a(b),st=s(b,"P",{"data-svelte-h":!0}),l(st)!=="svelte-1mb1edh"&&(st.textContent=Le),ne=a(b),it=s(b,"UL",{"data-svelte-h":!0}),l(it)!=="svelte-1uf4n4e"&&(it.innerHTML=He),ae=a(b),pt=s(b,"P",{"data-svelte-h":!0}),l(pt)!=="svelte-u9lis0"&&(pt.innerHTML=Ee),oe=a(b),L=s(b,"DIV",{class:!0});var zt=v(L);c(Q.$$.fragment,zt),se=a(zt),lt=s(zt,"P",{"data-svelte-h":!0}),l(lt)!=="svelte-sotsit"&&(lt.innerHTML=Me),zt.forEach(r),ie=a(b),H=s(b,"DIV",{class:!0});var Qt=v(H);c(N.$$.fragment,Qt),pe=a(Qt),mt=s(Qt,"P",{"data-svelte-h":!0}),l(mt)!=="svelte-1mqjlfz"&&(mt.innerHTML=ke),Qt.forEach(r),le=a(b),E=s(b,"DIV",{class:!0});var Nt=v(E);c(R.$$.fragment,Nt),me=a(Nt),dt=s(Nt,"P",{"data-svelte-h":!0}),l(dt)!=="svelte-i36752"&&(dt.textContent=Ae),Nt.forEach(r),b.forEach(r),St=a(t),D=s(t,"DIV",{class:!0});var xt=v(D);c(B.$$.fragment,xt),de=a(xt),ct=s(xt,"P",{"data-svelte-h":!0}),l(ct)!=="svelte-jm6p0u"&&(ct.textContent=Se),ce=a(xt),M=s(xt,"DIV",{class:!0});var Rt=v(M);c(Z.$$.fragment,Rt),ue=a(Rt),ut=s(Rt,"P",{"data-svelte-h":!0}),l(ut)!=="svelte-1mqjlfz"&&(ut.innerHTML=Oe),Rt.forEach(r),xt.forEach(r),Ot=a(t),y=s(t,"DIV",{class:!0});var Pt=v(y);c(G.$$.fragment,Pt),fe=a(Pt),ft=s(Pt,"P",{"data-svelte-h":!0}),l(ft)!=="svelte-jpmp8k"&&(ft.textContent=Ie),ge=a(Pt),k=s(Pt,"DIV",{class:!0});var Bt=v(k);c(K.$$.fragment,Bt),he=a(Bt),gt=s(Bt,"P",{"data-svelte-h":!0}),l(gt)!=="svelte-1ly8fsk"&&(gt.textContent=Ve),Bt.forEach(r),Pt.forEach(r),It=a(t),x=s(t,"DIV",{class:!0});var S=v(x);c(X.$$.fragment,S),ve=a(S),ht=s(S,"P",{"data-svelte-h":!0}),l(ht)!=="svelte-vxtild"&&(ht.textContent=qe),$e=a(S),vt=s(S,"P",{"data-svelte-h":!0}),l(vt)!=="svelte-83moxo"&&(vt.textContent=We),be=a(S),A=s(S,"DIV",{class:!0});var Zt=v(A);c(Y.$$.fragment,Zt),_e=a(Zt),$t=s(Zt,"P",{"data-svelte-h":!0}),l($t)!=="svelte-v6konq"&&($t.textContent=je),Zt.forEach(r),S.forEach(r),Vt=a(t),c(tt.$$.fragment,t),qt=a(t),T=s(t,"DIV",{class:!0});var Gt=v(T);c(et.$$.fragment,Gt),xe=a(Gt),bt=s(Gt,"P",{"data-svelte-h":!0}),l(bt)!=="svelte-1ac4inb"&&(bt.innerHTML=Je),Gt.forEach(r),Wt=a(t),yt=s(t,"P",{}),v(yt).forEach(r),this.h()},h(){$(w,"name","hf:doc:metadata"),$(w,"content",Ge),$(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,i){e(document.head,w),p(t,wt,i),p(t,Dt,i),p(t,Ft,i),u(O,t,i),p(t,Ct,i),p(t,I,i),p(t,Tt,i),p(t,V,i),p(t,Lt,i),u(q,t,i),p(t,Ht,i),p(t,F,i),u(W,F,null),e(F,Xt),e(F,rt),p(t,Et,i),p(t,C,i),u(j,C,null),e(C,Yt),e(C,nt),p(t,Mt,i),p(t,P,i),u(J,P,null),e(P,te),e(P,at),e(P,ee),e(P,ot),p(t,kt,i),u(U,t,i),p(t,At,i),p(t,m,i),u(z,m,null),e(m,re),e(m,st),e(m,ne),e(m,it),e(m,ae),e(m,pt),e(m,oe),e(m,L),u(Q,L,null),e(L,se),e(L,lt),e(m,ie),e(m,H),u(N,H,null),e(H,pe),e(H,mt),e(m,le),e(m,E),u(R,E,null),e(E,me),e(E,dt),p(t,St,i),p(t,D,i),u(B,D,null),e(D,de),e(D,ct),e(D,ce),e(D,M),u(Z,M,null),e(M,ue),e(M,ut),p(t,Ot,i),p(t,y,i),u(G,y,null),e(y,fe),e(y,ft),e(y,ge),e(y,k),u(K,k,null),e(k,he),e(k,gt),p(t,It,i),p(t,x,i),u(X,x,null),e(x,ve),e(x,ht),e(x,$e),e(x,vt),e(x,be),e(x,A),u(Y,A,null),e(A,_e),e(A,$t),p(t,Vt,i),u(tt,t,i),p(t,qt,i),p(t,T,i),u(et,T,null),e(T,xe),e(T,bt),p(t,Wt,i),p(t,yt,i),jt=!0},p:ze,i(t){jt||(f(O.$$.fragment,t),f(q.$$.fragment,t),f(W.$$.fragment,t),f(j.$$.fragment,t),f(J.$$.fragment,t),f(U.$$.fragment,t),f(z.$$.fragment,t),f(Q.$$.fragment,t),f(N.$$.fragment,t),f(R.$$.fragment,t),f(B.$$.fragment,t),f(Z.$$.fragment,t),f(G.$$.fragment,t),f(K.$$.fragment,t),f(X.$$.fragment,t),f(Y.$$.fragment,t),f(tt.$$.fragment,t),f(et.$$.fragment,t),jt=!0)},o(t){g(O.$$.fragment,t),g(q.$$.fragment,t),g(W.$$.fragment,t),g(j.$$.fragment,t),g(J.$$.fragment,t),g(U.$$.fragment,t),g(z.$$.fragment,t),g(Q.$$.fragment,t),g(N.$$.fragment,t),g(R.$$.fragment,t),g(B.$$.fragment,t),g(Z.$$.fragment,t),g(G.$$.fragment,t),g(K.$$.fragment,t),g(X.$$.fragment,t),g(Y.$$.fragment,t),g(tt.$$.fragment,t),g(et.$$.fragment,t),jt=!1},d(t){t&&(r(wt),r(Dt),r(Ft),r(Ct),r(I),r(Tt),r(V),r(Lt),r(Ht),r(F),r(Et),r(C),r(Mt),r(P),r(kt),r(At),r(m),r(St),r(D),r(Ot),r(y),r(It),r(x),r(Vt),r(qt),r(T),r(Wt),r(yt)),r(w),h(O,t),h(q,t),h(W),h(j),h(J),h(U,t),h(z),h(Q),h(N),h(R),h(B),h(Z),h(G),h(K),h(X),h(Y),h(tt,t),h(et)}}}const Ge='{"title":"Utilities for pipelines","local":"utilities-for-pipelines","sections":[{"title":"Argument handling","local":"transformers.pipelines.ArgumentHandler","sections":[],"depth":2},{"title":"Data format","local":"transformers.PipelineDataFormat","sections":[],"depth":2},{"title":"Utilities","local":"transformers.pipelines.PipelineException","sections":[],"depth":2}],"depth":1}';function Ke(Pe){return Qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class rr extends Ne{constructor(w){super(),Re(this,w,Ke,Ze,Ue,{})}}export{rr as component};
