import{s as kr,o as Fr,n as Sr}from"../chunks/scheduler.9bc65507.js";import{S as Dr,i as Br,g as l,s,r as f,m as Or,A as Gr,h as i,f as t,c as o,j as $,u as p,x as g,n as Zr,k as _,y as a,a as n,v as u,d as c,t as b,w as v}from"../chunks/index.707bf1b6.js";import{T as jr}from"../chunks/Tip.c2ecdbf4.js";import{D as C}from"../chunks/Docstring.17db21ae.js";import{C as qe}from"../chunks/CodeBlock.54a9f38d.js";import{E as qr}from"../chunks/ExampleCodeBlock.4f515aa9.js";import{H as St}from"../chunks/Heading.342b1fa6.js";function Xr(we){let m,I="🤗 Transformers has following logging levels:",y,h,x="<li>50: <code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li> <li>40: <code>transformers.logging.ERROR</code></li> <li>30: <code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li> <li>20: <code>transformers.logging.INFO</code></li> <li>10: <code>transformers.logging.DEBUG</code></li>";return{c(){m=l("p"),m.textContent=I,y=s(),h=l("ul"),h.innerHTML=x},l(d){m=i(d,"P",{"data-svelte-h":!0}),g(m)!=="svelte-xr075s"&&(m.textContent=I),y=o(d),h=i(d,"UL",{"data-svelte-h":!0}),g(h)!=="svelte-1s22l0g"&&(h.innerHTML=x)},m(d,T){n(d,m,T),n(d,y,T),n(d,h,T)},p:Sr,d(d){d&&(t(m),t(y),t(h))}}}function zr(we){let m,I="Enable explicit formatting for every HuggingFace Transformers’s logger. The explicit formatter is as follows:",y,h,x;return h=new qe({props:{code:"JTIwJTIwJTIwJTIwJTVCTEVWRUxOQU1FJTdDRklMRU5BTUUlN0NMSU5FJTIwTlVNQkVSJTVEJTIwVElNRSUyMCUzRSUzRSUyME1FU1NBR0U=",highlighted:'    [LEVELNAME|<span class="hljs-type">FILENAME</span>|<span class="hljs-type">LINE</span> NUMBER] TIME &gt;&gt; MESSAGE',wrap:!1}}),{c(){m=l("p"),m.textContent=I,y=s(),f(h.$$.fragment)},l(d){m=i(d,"P",{"data-svelte-h":!0}),g(m)!=="svelte-1db65t5"&&(m.textContent=I),y=o(d),p(h.$$.fragment,d)},m(d,T){n(d,m,T),n(d,y,T),u(h,d,T),x=!0},p:Sr,i(d){x||(c(h.$$.fragment,d),x=!0)},o(d){b(h.$$.fragment,d),x=!1},d(d){d&&(t(m),t(y)),v(h,d)}}}function Yr(we){let m,I,y,h,x,d,T,ir="🤗 Transformers has a centralized logging system, so that you can setup the verbosity of the library easily.",Xe,B,ar="Currently the default verbosity of the library is <code>WARNING</code>.",ze,O,gr=`To change the level of verbosity, just use one of the direct setters. For instance, here is how to change the verbosity
to the INFO level.`,Ye,G,Ke,Z,dr=`You can also use the environment variable <code>TRANSFORMERS_VERBOSITY</code> to override the default verbosity. You can set it
to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>. For example:`,Qe,j,et,q,mr=`Additionally, some <code>warnings</code> can be disabled by setting the environment variable
<code>TRANSFORMERS_NO_ADVISORY_WARNINGS</code> to a true value, like <em>1</em>. This will disable any warning that is logged using
<code>logger.warning_advice</code>. For example:`,tt,X,rt,z,fr="Here is an example of how to use the same logger as the library in your own module or script:",nt,Y,st,K,pr=`All the methods of this logging module are documented below, the main ones are
<a href="/docs/transformers/pr_1/en/main_classes/logging#transformers.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger and
<a href="/docs/transformers/pr_1/en/main_classes/logging#transformers.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice. In order (from the least
verbose to the most verbose), those levels (with their corresponding int values in parenthesis) are:`,ot,Q,ur=`<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code> (int value, 50): only report the most
critical errors.</li> <li><code>transformers.logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code> (int value, 30): only reports error and
warnings. This the default level used by the library.</li> <li><code>transformers.logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>transformers.logging.DEBUG</code> (int value, 10): report all information.</li>`,lt,ee,cr='By default, <code>tqdm</code> progress bars will be displayed during model download. <a href="/docs/transformers/pr_1/en/main_classes/logging#transformers.utils.logging.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/transformers/pr_1/en/main_classes/logging#transformers.utils.logging.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',it,te,at,re,br=`Python has two logging systems that are often used in conjunction: <code>logging</code>, which is explained above, and <code>warnings</code>,
which allows further classification of warnings in specific buckets, e.g., <code>FutureWarning</code> for a feature or path
that has already been deprecated and <code>DeprecationWarning</code> to indicate an upcoming deprecation.`,gt,ne,vr=`We use both in the <code>transformers</code> library. We leverage and adapt <code>logging</code>’s <code>captureWarning</code> method to allow
management of these warning messages by the verbosity setters above.`,dt,se,hr="What does that mean for developers of the library? We should respect the following heuristic:",mt,oe,$r="<li><code>warnings</code> should be favored for developers of the library and libraries dependent on <code>transformers</code></li> <li><code>logging</code> should be used for end-users of the library using it in every-day projects</li>",ft,le,_r="See reference of the <code>captureWarnings</code> method below.",pt,w,ie,kt,Ce,yr=`Calls the <code>captureWarnings</code> method from the logging library to enable management of the warnings emitted by the
<code>warnings</code> library.`,Ft,Le,xr=`Read more about this method here:
<a href="https://docs.python.org/3/library/logging.html#integration-with-the-warnings-module" rel="nofollow">https://docs.python.org/3/library/logging.html#integration-with-the-warnings-module</a>`,Dt,Me,Tr="All warnings will be logged through the <code>py.warnings</code> logger.",Bt,Re,wr=`Careful: this method also adds a handler to this logger if it does not already have one, and updates the logging
level of that logger to the library’s root logger.`,ut,ae,ct,H,ge,Ot,Ee,Cr="Set the verbosity to the <code>ERROR</code> level.",bt,J,de,Gt,Ie,Lr="Set the verbosity to the <code>WARNING</code> level.",vt,P,me,Zt,Ne,Mr="Set the verbosity to the <code>INFO</code> level.",ht,A,fe,jt,He,Rr="Set the verbosity to the <code>DEBUG</code> level.",$t,pe,_t,M,ue,qt,Je,Er="Return the current level for the 🤗 Transformers’s root logger as an int.",Xt,F,yt,V,ce,zt,Pe,Ir="Set the verbosity level for the 🤗 Transformers’s root logger.",xt,R,be,Yt,Ae,Nr="Return a logger with the specified name.",Kt,Ve,Hr="This function is not supposed to be directly accessed unless you are writing a custom transformers module.",Tt,W,ve,Qt,We,Jr="Enable the default handler of the HuggingFace Transformers’s root logger.",wt,U,he,er,Ue,Pr="Disable the default handler of the HuggingFace Transformers’s root logger.",Ct,N,$e,tr,D,rr,Lt,E,_e,nr,Se,Ar="Resets the formatting for HuggingFace Transformers’s loggers.",sr,ke,Vr="All handlers currently bound to the root logger are affected by this method.",Mt,S,ye,or,Fe,Wr="Enable tqdm progress bar.",Rt,k,xe,lr,De,Ur="Disable tqdm progress bar.",Et,Ze,It;return x=new St({props:{title:"Logging",local:"logging",headingTag:"h1"}}),G=new qe({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJzJTBBJTBBdHJhbnNmb3JtZXJzLmxvZ2dpbmcuc2V0X3ZlcmJvc2l0eV9pbmZvKCk=",highlighted:`<span class="hljs-keyword">import</span> transformers

transformers.logging.set_verbosity_info()`,wrap:!1}}),j=new qe({props:{code:"VFJBTlNGT1JNRVJTX1ZFUkJPU0lUWSUzRGVycm9yJTIwLiUyRm15cHJvZ3JhbS5weQ==",highlighted:"TRANSFORMERS_VERBOSITY=error ./myprogram.py",wrap:!1}}),X=new qe({props:{code:"VFJBTlNGT1JNRVJTX05PX0FEVklTT1JZX1dBUk5JTkdTJTNEMSUyMC4lMkZteXByb2dyYW0ucHk=",highlighted:"TRANSFORMERS_NO_ADVISORY_WARNINGS=1 ./myprogram.py",wrap:!1}}),Y=new qe({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycy51dGlscyUyMGltcG9ydCUyMGxvZ2dpbmclMEElMEFsb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygpJTBBbG9nZ2VyJTIwJTNEJTIwbG9nZ2luZy5nZXRfbG9nZ2VyKCUyMnRyYW5zZm9ybWVycyUyMiklMEFsb2dnZXIuaW5mbyglMjJJTkZPJTIyKSUwQWxvZ2dlci53YXJuaW5nKCUyMldBUk4lMjIp",highlighted:`<span class="hljs-keyword">from</span> transformers.utils <span class="hljs-keyword">import</span> logging

logging.set_verbosity_info()
logger = logging.get_logger(<span class="hljs-string">&quot;transformers&quot;</span>)
logger.info(<span class="hljs-string">&quot;INFO&quot;</span>)
logger.warning(<span class="hljs-string">&quot;WARN&quot;</span>)`,wrap:!1}}),te=new St({props:{title:"logging vs warnings",local:"transformers.utils.logging.captureWarnings",headingTag:"h2"}}),ie=new C({props:{name:"transformers.utils.logging.captureWarnings",anchor:"transformers.utils.logging.captureWarnings",parameters:[{name:"capture",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L127"}}),ae=new St({props:{title:"Base setters",local:"transformers.utils.logging.set_verbosity_error",headingTag:"h2"}}),ge=new C({props:{name:"transformers.utils.logging.set_verbosity_error",anchor:"transformers.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L221"}}),de=new C({props:{name:"transformers.utils.logging.set_verbosity_warning",anchor:"transformers.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L211"}}),me=new C({props:{name:"transformers.utils.logging.set_verbosity_info",anchor:"transformers.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L206"}}),fe=new C({props:{name:"transformers.utils.logging.set_verbosity_debug",anchor:"transformers.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L216"}}),pe=new St({props:{title:"Other functions",local:"transformers.utils.logging.get_verbosity",headingTag:"h2"}}),ue=new C({props:{name:"transformers.utils.logging.get_verbosity",anchor:"transformers.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L164",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The logging level.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>int</code></p>
`}}),F=new jr({props:{$$slots:{default:[Xr]},$$scope:{ctx:we}}}),ce=new C({props:{name:"transformers.utils.logging.set_verbosity",anchor:"transformers.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],parametersDescription:[{anchor:"transformers.utils.logging.set_verbosity.verbosity",description:`<strong>verbosity</strong> (<code>int</code>) &#x2014;
Logging level, e.g., one of:</p>
<ul>
<li><code>transformers.logging.CRITICAL</code> or <code>transformers.logging.FATAL</code></li>
<li><code>transformers.logging.ERROR</code></li>
<li><code>transformers.logging.WARNING</code> or <code>transformers.logging.WARN</code></li>
<li><code>transformers.logging.INFO</code></li>
<li><code>transformers.logging.DEBUG</code></li>
</ul>`,name:"verbosity"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L187"}}),be=new C({props:{name:"transformers.utils.logging.get_logger",anchor:"transformers.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L150"}}),ve=new C({props:{name:"transformers.utils.logging.enable_default_handler",anchor:"transformers.utils.logging.enable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L235"}}),he=new C({props:{name:"transformers.utils.logging.disable_default_handler",anchor:"transformers.utils.logging.disable_default_handler",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L226"}}),$e=new C({props:{name:"transformers.utils.logging.enable_explicit_format",anchor:"transformers.utils.logging.enable_explicit_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L281"}}),D=new qr({props:{anchor:"transformers.utils.logging.enable_explicit_format.example",$$slots:{default:[zr]},$$scope:{ctx:we}}}),_e=new C({props:{name:"transformers.utils.logging.reset_format",anchor:"transformers.utils.logging.reset_format",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L296"}}),ye=new C({props:{name:"transformers.utils.logging.enable_progress_bar",anchor:"transformers.utils.logging.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L387"}}),xe=new C({props:{name:"transformers.utils.logging.disable_progress_bar",anchor:"transformers.utils.logging.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_1/src/transformers/utils/logging.py#L394"}}),{c(){m=l("meta"),I=s(),y=l("p"),h=s(),f(x.$$.fragment),d=s(),T=l("p"),T.textContent=ir,Xe=s(),B=l("p"),B.innerHTML=ar,ze=s(),O=l("p"),O.textContent=gr,Ye=s(),f(G.$$.fragment),Ke=s(),Z=l("p"),Z.innerHTML=dr,Qe=s(),f(j.$$.fragment),et=s(),q=l("p"),q.innerHTML=mr,tt=s(),f(X.$$.fragment),rt=s(),z=l("p"),z.textContent=fr,nt=s(),f(Y.$$.fragment),st=s(),K=l("p"),K.innerHTML=pr,ot=s(),Q=l("ul"),Q.innerHTML=ur,lt=s(),ee=l("p"),ee.innerHTML=cr,it=s(),f(te.$$.fragment),at=s(),re=l("p"),re.innerHTML=br,gt=s(),ne=l("p"),ne.innerHTML=vr,dt=s(),se=l("p"),se.textContent=hr,mt=s(),oe=l("ul"),oe.innerHTML=$r,ft=s(),le=l("p"),le.innerHTML=_r,pt=s(),w=l("div"),f(ie.$$.fragment),kt=s(),Ce=l("p"),Ce.innerHTML=yr,Ft=s(),Le=l("p"),Le.innerHTML=xr,Dt=s(),Me=l("p"),Me.innerHTML=Tr,Bt=s(),Re=l("p"),Re.textContent=wr,ut=s(),f(ae.$$.fragment),ct=s(),H=l("div"),f(ge.$$.fragment),Ot=s(),Ee=l("p"),Ee.innerHTML=Cr,bt=s(),J=l("div"),f(de.$$.fragment),Gt=s(),Ie=l("p"),Ie.innerHTML=Lr,vt=s(),P=l("div"),f(me.$$.fragment),Zt=s(),Ne=l("p"),Ne.innerHTML=Mr,ht=s(),A=l("div"),f(fe.$$.fragment),jt=s(),He=l("p"),He.innerHTML=Rr,$t=s(),f(pe.$$.fragment),_t=s(),M=l("div"),f(ue.$$.fragment),qt=s(),Je=l("p"),Je.textContent=Er,Xt=s(),f(F.$$.fragment),yt=s(),V=l("div"),f(ce.$$.fragment),zt=s(),Pe=l("p"),Pe.textContent=Ir,xt=s(),R=l("div"),f(be.$$.fragment),Yt=s(),Ae=l("p"),Ae.textContent=Nr,Kt=s(),Ve=l("p"),Ve.textContent=Hr,Tt=s(),W=l("div"),f(ve.$$.fragment),Qt=s(),We=l("p"),We.textContent=Jr,wt=s(),U=l("div"),f(he.$$.fragment),er=s(),Ue=l("p"),Ue.textContent=Pr,Ct=s(),N=l("div"),f($e.$$.fragment),tr=s(),f(D.$$.fragment),rr=Or(`
All handlers currently bound to the root logger are affected by this method.`),Lt=s(),E=l("div"),f(_e.$$.fragment),nr=s(),Se=l("p"),Se.textContent=Ar,sr=s(),ke=l("p"),ke.textContent=Vr,Mt=s(),S=l("div"),f(ye.$$.fragment),or=s(),Fe=l("p"),Fe.textContent=Wr,Rt=s(),k=l("div"),f(xe.$$.fragment),lr=s(),De=l("p"),De.textContent=Ur,Et=s(),Ze=l("p"),this.h()},l(e){const r=Gr("svelte-u9bgzb",document.head);m=i(r,"META",{name:!0,content:!0}),r.forEach(t),I=o(e),y=i(e,"P",{}),$(y).forEach(t),h=o(e),p(x.$$.fragment,e),d=o(e),T=i(e,"P",{"data-svelte-h":!0}),g(T)!=="svelte-1pvcwri"&&(T.textContent=ir),Xe=o(e),B=i(e,"P",{"data-svelte-h":!0}),g(B)!=="svelte-knr825"&&(B.innerHTML=ar),ze=o(e),O=i(e,"P",{"data-svelte-h":!0}),g(O)!=="svelte-1us4yht"&&(O.textContent=gr),Ye=o(e),p(G.$$.fragment,e),Ke=o(e),Z=i(e,"P",{"data-svelte-h":!0}),g(Z)!=="svelte-ehwgnk"&&(Z.innerHTML=dr),Qe=o(e),p(j.$$.fragment,e),et=o(e),q=i(e,"P",{"data-svelte-h":!0}),g(q)!=="svelte-1d4vvlx"&&(q.innerHTML=mr),tt=o(e),p(X.$$.fragment,e),rt=o(e),z=i(e,"P",{"data-svelte-h":!0}),g(z)!=="svelte-xupc13"&&(z.textContent=fr),nt=o(e),p(Y.$$.fragment,e),st=o(e),K=i(e,"P",{"data-svelte-h":!0}),g(K)!=="svelte-bezfc7"&&(K.innerHTML=pr),ot=o(e),Q=i(e,"UL",{"data-svelte-h":!0}),g(Q)!=="svelte-4tppnp"&&(Q.innerHTML=ur),lt=o(e),ee=i(e,"P",{"data-svelte-h":!0}),g(ee)!=="svelte-13kdowa"&&(ee.innerHTML=cr),it=o(e),p(te.$$.fragment,e),at=o(e),re=i(e,"P",{"data-svelte-h":!0}),g(re)!=="svelte-tegfrp"&&(re.innerHTML=br),gt=o(e),ne=i(e,"P",{"data-svelte-h":!0}),g(ne)!=="svelte-1vdprf"&&(ne.innerHTML=vr),dt=o(e),se=i(e,"P",{"data-svelte-h":!0}),g(se)!=="svelte-19qhmoo"&&(se.textContent=hr),mt=o(e),oe=i(e,"UL",{"data-svelte-h":!0}),g(oe)!=="svelte-1fxgo7k"&&(oe.innerHTML=$r),ft=o(e),le=i(e,"P",{"data-svelte-h":!0}),g(le)!=="svelte-isqw2o"&&(le.innerHTML=_r),pt=o(e),w=i(e,"DIV",{class:!0});var L=$(w);p(ie.$$.fragment,L),kt=o(L),Ce=i(L,"P",{"data-svelte-h":!0}),g(Ce)!=="svelte-7noldf"&&(Ce.innerHTML=yr),Ft=o(L),Le=i(L,"P",{"data-svelte-h":!0}),g(Le)!=="svelte-wu9e1c"&&(Le.innerHTML=xr),Dt=o(L),Me=i(L,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-1rsdpfu"&&(Me.innerHTML=Tr),Bt=o(L),Re=i(L,"P",{"data-svelte-h":!0}),g(Re)!=="svelte-73l4cs"&&(Re.textContent=wr),L.forEach(t),ut=o(e),p(ae.$$.fragment,e),ct=o(e),H=i(e,"DIV",{class:!0});var Te=$(H);p(ge.$$.fragment,Te),Ot=o(Te),Ee=i(Te,"P",{"data-svelte-h":!0}),g(Ee)!=="svelte-1ppk729"&&(Ee.innerHTML=Cr),Te.forEach(t),bt=o(e),J=i(e,"DIV",{class:!0});var Nt=$(J);p(de.$$.fragment,Nt),Gt=o(Nt),Ie=i(Nt,"P",{"data-svelte-h":!0}),g(Ie)!=="svelte-12ljo43"&&(Ie.innerHTML=Lr),Nt.forEach(t),vt=o(e),P=i(e,"DIV",{class:!0});var Ht=$(P);p(me.$$.fragment,Ht),Zt=o(Ht),Ne=i(Ht,"P",{"data-svelte-h":!0}),g(Ne)!=="svelte-1ruccfv"&&(Ne.innerHTML=Mr),Ht.forEach(t),ht=o(e),A=i(e,"DIV",{class:!0});var Jt=$(A);p(fe.$$.fragment,Jt),jt=o(Jt),He=i(Jt,"P",{"data-svelte-h":!0}),g(He)!=="svelte-10c80ti"&&(He.innerHTML=Rr),Jt.forEach(t),$t=o(e),p(pe.$$.fragment,e),_t=o(e),M=i(e,"DIV",{class:!0});var Be=$(M);p(ue.$$.fragment,Be),qt=o(Be),Je=i(Be,"P",{"data-svelte-h":!0}),g(Je)!=="svelte-c6o18d"&&(Je.textContent=Er),Xt=o(Be),p(F.$$.fragment,Be),Be.forEach(t),yt=o(e),V=i(e,"DIV",{class:!0});var Pt=$(V);p(ce.$$.fragment,Pt),zt=o(Pt),Pe=i(Pt,"P",{"data-svelte-h":!0}),g(Pe)!=="svelte-1pc8gq7"&&(Pe.textContent=Ir),Pt.forEach(t),xt=o(e),R=i(e,"DIV",{class:!0});var Oe=$(R);p(be.$$.fragment,Oe),Yt=o(Oe),Ae=i(Oe,"P",{"data-svelte-h":!0}),g(Ae)!=="svelte-155a6rh"&&(Ae.textContent=Nr),Kt=o(Oe),Ve=i(Oe,"P",{"data-svelte-h":!0}),g(Ve)!=="svelte-7r9l0i"&&(Ve.textContent=Hr),Oe.forEach(t),Tt=o(e),W=i(e,"DIV",{class:!0});var At=$(W);p(ve.$$.fragment,At),Qt=o(At),We=i(At,"P",{"data-svelte-h":!0}),g(We)!=="svelte-1d9pjkh"&&(We.textContent=Jr),At.forEach(t),wt=o(e),U=i(e,"DIV",{class:!0});var Vt=$(U);p(he.$$.fragment,Vt),er=o(Vt),Ue=i(Vt,"P",{"data-svelte-h":!0}),g(Ue)!=="svelte-147u0ic"&&(Ue.textContent=Pr),Vt.forEach(t),Ct=o(e),N=i(e,"DIV",{class:!0});var je=$(N);p($e.$$.fragment,je),tr=o(je),p(D.$$.fragment,je),rr=Zr(je,`
All handlers currently bound to the root logger are affected by this method.`),je.forEach(t),Lt=o(e),E=i(e,"DIV",{class:!0});var Ge=$(E);p(_e.$$.fragment,Ge),nr=o(Ge),Se=i(Ge,"P",{"data-svelte-h":!0}),g(Se)!=="svelte-1yfjx32"&&(Se.textContent=Ar),sr=o(Ge),ke=i(Ge,"P",{"data-svelte-h":!0}),g(ke)!=="svelte-3qpllw"&&(ke.textContent=Vr),Ge.forEach(t),Mt=o(e),S=i(e,"DIV",{class:!0});var Wt=$(S);p(ye.$$.fragment,Wt),or=o(Wt),Fe=i(Wt,"P",{"data-svelte-h":!0}),g(Fe)!=="svelte-1n9lbl5"&&(Fe.textContent=Wr),Wt.forEach(t),Rt=o(e),k=i(e,"DIV",{class:!0});var Ut=$(k);p(xe.$$.fragment,Ut),lr=o(Ut),De=i(Ut,"P",{"data-svelte-h":!0}),g(De)!=="svelte-4qd7jw"&&(De.textContent=Ur),Ut.forEach(t),Et=o(e),Ze=i(e,"P",{}),$(Ze).forEach(t),this.h()},h(){_(m,"name","hf:doc:metadata"),_(m,"content",Kr),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){a(document.head,m),n(e,I,r),n(e,y,r),n(e,h,r),u(x,e,r),n(e,d,r),n(e,T,r),n(e,Xe,r),n(e,B,r),n(e,ze,r),n(e,O,r),n(e,Ye,r),u(G,e,r),n(e,Ke,r),n(e,Z,r),n(e,Qe,r),u(j,e,r),n(e,et,r),n(e,q,r),n(e,tt,r),u(X,e,r),n(e,rt,r),n(e,z,r),n(e,nt,r),u(Y,e,r),n(e,st,r),n(e,K,r),n(e,ot,r),n(e,Q,r),n(e,lt,r),n(e,ee,r),n(e,it,r),u(te,e,r),n(e,at,r),n(e,re,r),n(e,gt,r),n(e,ne,r),n(e,dt,r),n(e,se,r),n(e,mt,r),n(e,oe,r),n(e,ft,r),n(e,le,r),n(e,pt,r),n(e,w,r),u(ie,w,null),a(w,kt),a(w,Ce),a(w,Ft),a(w,Le),a(w,Dt),a(w,Me),a(w,Bt),a(w,Re),n(e,ut,r),u(ae,e,r),n(e,ct,r),n(e,H,r),u(ge,H,null),a(H,Ot),a(H,Ee),n(e,bt,r),n(e,J,r),u(de,J,null),a(J,Gt),a(J,Ie),n(e,vt,r),n(e,P,r),u(me,P,null),a(P,Zt),a(P,Ne),n(e,ht,r),n(e,A,r),u(fe,A,null),a(A,jt),a(A,He),n(e,$t,r),u(pe,e,r),n(e,_t,r),n(e,M,r),u(ue,M,null),a(M,qt),a(M,Je),a(M,Xt),u(F,M,null),n(e,yt,r),n(e,V,r),u(ce,V,null),a(V,zt),a(V,Pe),n(e,xt,r),n(e,R,r),u(be,R,null),a(R,Yt),a(R,Ae),a(R,Kt),a(R,Ve),n(e,Tt,r),n(e,W,r),u(ve,W,null),a(W,Qt),a(W,We),n(e,wt,r),n(e,U,r),u(he,U,null),a(U,er),a(U,Ue),n(e,Ct,r),n(e,N,r),u($e,N,null),a(N,tr),u(D,N,null),a(N,rr),n(e,Lt,r),n(e,E,r),u(_e,E,null),a(E,nr),a(E,Se),a(E,sr),a(E,ke),n(e,Mt,r),n(e,S,r),u(ye,S,null),a(S,or),a(S,Fe),n(e,Rt,r),n(e,k,r),u(xe,k,null),a(k,lr),a(k,De),n(e,Et,r),n(e,Ze,r),It=!0},p(e,[r]){const L={};r&2&&(L.$$scope={dirty:r,ctx:e}),F.$set(L);const Te={};r&2&&(Te.$$scope={dirty:r,ctx:e}),D.$set(Te)},i(e){It||(c(x.$$.fragment,e),c(G.$$.fragment,e),c(j.$$.fragment,e),c(X.$$.fragment,e),c(Y.$$.fragment,e),c(te.$$.fragment,e),c(ie.$$.fragment,e),c(ae.$$.fragment,e),c(ge.$$.fragment,e),c(de.$$.fragment,e),c(me.$$.fragment,e),c(fe.$$.fragment,e),c(pe.$$.fragment,e),c(ue.$$.fragment,e),c(F.$$.fragment,e),c(ce.$$.fragment,e),c(be.$$.fragment,e),c(ve.$$.fragment,e),c(he.$$.fragment,e),c($e.$$.fragment,e),c(D.$$.fragment,e),c(_e.$$.fragment,e),c(ye.$$.fragment,e),c(xe.$$.fragment,e),It=!0)},o(e){b(x.$$.fragment,e),b(G.$$.fragment,e),b(j.$$.fragment,e),b(X.$$.fragment,e),b(Y.$$.fragment,e),b(te.$$.fragment,e),b(ie.$$.fragment,e),b(ae.$$.fragment,e),b(ge.$$.fragment,e),b(de.$$.fragment,e),b(me.$$.fragment,e),b(fe.$$.fragment,e),b(pe.$$.fragment,e),b(ue.$$.fragment,e),b(F.$$.fragment,e),b(ce.$$.fragment,e),b(be.$$.fragment,e),b(ve.$$.fragment,e),b(he.$$.fragment,e),b($e.$$.fragment,e),b(D.$$.fragment,e),b(_e.$$.fragment,e),b(ye.$$.fragment,e),b(xe.$$.fragment,e),It=!1},d(e){e&&(t(I),t(y),t(h),t(d),t(T),t(Xe),t(B),t(ze),t(O),t(Ye),t(Ke),t(Z),t(Qe),t(et),t(q),t(tt),t(rt),t(z),t(nt),t(st),t(K),t(ot),t(Q),t(lt),t(ee),t(it),t(at),t(re),t(gt),t(ne),t(dt),t(se),t(mt),t(oe),t(ft),t(le),t(pt),t(w),t(ut),t(ct),t(H),t(bt),t(J),t(vt),t(P),t(ht),t(A),t($t),t(_t),t(M),t(yt),t(V),t(xt),t(R),t(Tt),t(W),t(wt),t(U),t(Ct),t(N),t(Lt),t(E),t(Mt),t(S),t(Rt),t(k),t(Et),t(Ze)),t(m),v(x,e),v(G,e),v(j,e),v(X,e),v(Y,e),v(te,e),v(ie),v(ae,e),v(ge),v(de),v(me),v(fe),v(pe,e),v(ue),v(F),v(ce),v(be),v(ve),v(he),v($e),v(D),v(_e),v(ye),v(xe)}}}const Kr='{"title":"Logging","local":"logging","sections":[{"title":"logging vs warnings","local":"transformers.utils.logging.captureWarnings","sections":[],"depth":2},{"title":"Base setters","local":"transformers.utils.logging.set_verbosity_error","sections":[],"depth":2},{"title":"Other functions","local":"transformers.utils.logging.get_verbosity","sections":[],"depth":2}],"depth":1}';function Qr(we){return Fr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class an extends Dr{constructor(m){super(),Br(this,m,Qr,Yr,kr,{})}}export{an as component};
