import{s as ue,n as me,o as pe}from"../chunks/scheduler.56730f09.js";import{S as we,i as ve,g as i,s as a,r as C,A as Te,h as l,f as n,c as o,j as fe,u as P,x as d,k as ee,y as Le,a as r,v as k,d as E,t as _,w as B}from"../chunks/index.61415d3e.js";import{H as G}from"../chunks/Heading.9036b585.js";function be(te){let g,D,R,N,c,I,h,ne='<a href="https://pytorch.org/" rel="nofollow">PyTorch</a>, <a href="https://www.tensorflow.org/" rel="nofollow">TensorFlow</a>, <a href="https://jax.readthedocs.io/en/latest/" rel="nofollow">JAX</a>のための最先端機械学習。',W,f,re="🤗 Transformers は最先端の学習済みモデルを簡単にダウンロードして学習するAPIとツールを提供します。学習済みモデルを使用することで計算コストと二酸化炭素の排出量を削減でき、またゼロからモデルを学習するために要求される時間とリソースを節約することができます。 これらのモデルは以下のような異なるモダリティにおける一般的なタスクをサポートします:",J,u,ae=`📝 <strong>自然言語処理</strong>: テキスト分類、 固有表現抽出、 質問応答、 言語モデリング、 文章要約、 機械翻訳、 複数選択、テキスト生成。<br/>
🖼️ <strong>コンピュータビジョン</strong>: 画像分類、 物体検出、 セグメンテーション。<br/>
🗣️ <strong>音声</strong>: 自動音声認識、音声分類。<br/>
🐙 <strong>マルチモーダル</strong>: テーブル質問応答、 光学文字認識(OCR)、 スキャンされたドキュメントからの情報抽出、 動画分類、 visual question answering(視覚的質問応答)。`,F,m,oe="🤗 Transformers はPyTorch, TensorFlow, JAX間のフレームワーク相互運用性をサポートしています。 これはモデルの各段階で異なるフレームワークを使うための柔軟性を提供します。あるフレームワークで3行のコードでモデルを学習し、別のフレームワークで推論のためにモデルをロードすることが可能です。また、本番環境のデプロイのためにモデルをONNXやTorchScriptのような形式でエクスポートすることも可能です。",H,p,ie='<a href="https://huggingface.co/models" rel="nofollow">Hub</a>, <a href="https://discuss.huggingface.co/" rel="nofollow">forum</a>, <a href="https://discord.com/invite/JfAtkvEtRb" rel="nofollow">Discord</a>で成長中のコミュニティに今日参加しましょう！',V,w,Y,s,le='<img alt="HuggingFace Expert Acceleration Program" src="https://cdn-media.huggingface.co/marketing/transformers/new-support-improved.png" style="width: 100%; max-width: 600px; border: 1px solid #eee; border-radius: 4px; box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);"/>',Z,v,X,T,de="ドキュメントは以下の5つのセクションで構成されています:",K,L,ge="<li><p><strong>はじめに</strong> は、ライブラリのクイックツアーとライブラリを使い始めるためのインストール手順を提供しています。</p></li> <li><p><strong>チュートリアル</strong> は、初心者が始めるのに最適な場所です。このセクションでは、ライブラリを使い始めるために必要な基本的なスキルを習得できます。</p></li> <li><p><strong>HOW-TOガイド</strong> は、言語モデリングのために学習済みモデルをfinetuningすることやカスタムモデルの作成と共有の方法などといった特定の目標を達成するための方法を示しています。</p></li> <li><p><strong>コンセプトガイド</strong> は、モデルやタスク、そして 🤗 Transformersの設計思想の背景にある基本的にコンセプトや考え方についてより深く考察し解説しています。</p></li> <li><p><strong>API</strong> 全てのクラスと関数を説明します:</p> <ul><li><strong>MAIN CLASSES</strong> は、configuration, model, tokenizer, pipelineといった最も重要なクラスについて詳細に説明しています。</li> <li><strong>MODELS</strong> は、ライブラリで実装されているそれぞれのモデルに関連したクラスと関数を詳細に説明しています。</li> <li><strong>INTERNAL HELPERS</strong> は、内部で使用されているユーティリティクラスや関数を詳細に説明しています。</li></ul></li>",U,b,O,S,se='<li><strong><a href="https://huggingface.co/docs/transformers/model_doc/albert" rel="nofollow">ALBERT</a></strong> (Google Research and the Toyota Technological Institute at Chicago から) Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma, Radu Soricut から公開された研究論文: <a href="https://arxiv.org/abs/1909.11942" rel="nofollow">ALBERT: A Lite BERT for Self-supervised Learning of Language Representations</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/altclip" rel="nofollow">AltCLIP</a></strong> (BAAI から) Chen, Zhongzhi and Liu, Guang and Zhang, Bo-Wen and Ye, Fulong and Yang, Qinghong and Wu, Ledell から公開された研究論文: <a href="https://arxiv.org/abs/2211.06679" rel="nofollow">AltCLIP: Altering the Language Encoder in CLIP for Extended Language Capabilities</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/audio-spectrogram-transformer" rel="nofollow">Audio Spectrogram Transformer</a></strong> (MIT から) Yuan Gong, Yu-An Chung, James Glass から公開された研究論文: <a href="https://arxiv.org/abs/2104.01778" rel="nofollow">AST: Audio Spectrogram Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bart" rel="nofollow">BART</a></strong> (Facebook から) Mike Lewis, Yinhan Liu, Naman Goyal, Marjan Ghazvininejad, Abdelrahman Mohamed, Omer Levy, Ves Stoyanov and Luke Zettlemoyer から公開された研究論文: <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART: Denoising Sequence-to-Sequence Pre-training for Natural Language Generation, Translation, and Comprehension</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/barthez" rel="nofollow">BARThez</a></strong> (École polytechnique から) Moussa Kamal Eddine, Antoine J.-P. Tixier, Michalis Vazirgiannis から公開された研究論文: <a href="https://arxiv.org/abs/2010.12321" rel="nofollow">BARThez: a Skilled Pretrained French Sequence-to-Sequence Model</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bartpho" rel="nofollow">BARTpho</a></strong> (VinAI Research から) Nguyen Luong Tran, Duong Minh Le and Dat Quoc Nguyen から公開された研究論文: <a href="https://arxiv.org/abs/2109.09701" rel="nofollow">BARTpho: Pre-trained Sequence-to-Sequence Models for Vietnamese</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/beit" rel="nofollow">BEiT</a></strong> (Microsoft から) Hangbo Bao, Li Dong, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2106.08254" rel="nofollow">BEiT: BERT Pre-Training of Image Transformers</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bert" rel="nofollow">BERT</a></strong> (Google から) Jacob Devlin, Ming-Wei Chang, Kenton Lee and Kristina Toutanova から公開された研究論文: <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT: Pre-training of Deep Bidirectional Transformers for Language Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bert-generation" rel="nofollow">BERT For Sequence Generation</a></strong> (Google から) Sascha Rothe, Shashi Narayan, Aliaksei Severyn から公開された研究論文: <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bertweet" rel="nofollow">BERTweet</a></strong> (VinAI Research から) Dat Quoc Nguyen, Thanh Vu and Anh Tuan Nguyen から公開された研究論文: <a href="https://aclanthology.org/2020.emnlp-demos.2/" rel="nofollow">BERTweet: A pre-trained language model for English Tweets</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bigbird_pegasus" rel="nofollow">BigBird-Pegasus</a></strong> (Google Research から) Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed から公開された研究論文: <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/big_bird" rel="nofollow">BigBird-RoBERTa</a></strong> (Google Research から) Manzil Zaheer, Guru Guruganesh, Avinava Dubey, Joshua Ainslie, Chris Alberti, Santiago Ontanon, Philip Pham, Anirudh Ravula, Qifan Wang, Li Yang, Amr Ahmed から公開された研究論文: <a href="https://arxiv.org/abs/2007.14062" rel="nofollow">Big Bird: Transformers for Longer Sequences</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/biogpt" rel="nofollow">BioGpt</a></strong> (Microsoft Research AI4Science から) Renqian Luo, Liai Sun, Yingce Xia, Tao Qin, Sheng Zhang, Hoifung Poon and Tie-Yan Liu から公開された研究論文: <a href="https://academic.oup.com/bib/advance-article/doi/10.1093/bib/bbac409/6713511?guestAccessKey=a66d9b5d-4f83-4017-bb52-405815c907b9" rel="nofollow">BioGPT: generative pre-trained transformer for biomedical text generation and mining</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/bit" rel="nofollow">BiT</a></strong> (Google AI から) Alexander Kolesnikov, Lucas Beyer, Xiaohua Zhai, Joan Puigcerver, Jessica Yung, Sylvain Gelly, Neil から公開された研究論文: <a href="https://arxiv.org/abs/1912.11370" rel="nofollow">Big Transfer (BiT)</a>Houlsby.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/blenderbot" rel="nofollow">Blenderbot</a></strong> (Facebook から) Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston から公開された研究論文: <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/blenderbot-small" rel="nofollow">BlenderbotSmall</a></strong> (Facebook から) Stephen Roller, Emily Dinan, Naman Goyal, Da Ju, Mary Williamson, Yinhan Liu, Jing Xu, Myle Ott, Kurt Shuster, Eric M. Smith, Y-Lan Boureau, Jason Weston から公開された研究論文: <a href="https://arxiv.org/abs/2004.13637" rel="nofollow">Recipes for building an open-domain chatbot</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/blip" rel="nofollow">BLIP</a></strong> (Salesforce から) Junnan Li, Dongxu Li, Caiming Xiong, Steven Hoi から公開された研究論文: <a href="https://arxiv.org/abs/2201.12086" rel="nofollow">BLIP: Bootstrapping Language-Image Pre-training for Unified Vision-Language Understanding and Generation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bloom" rel="nofollow">BLOOM</a></strong> (BigScience workshop から) <a href="https://bigscience.huggingface.co/" rel="nofollow">BigScience Workshop</a> から公開されました.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/bort" rel="nofollow">BORT</a></strong> (Alexa から) Adrian de Wynter and Daniel J. Perry から公開された研究論文: <a href="https://arxiv.org/abs/2010.10499" rel="nofollow">Optimal Subarchitecture Extraction For BERT</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/byt5" rel="nofollow">ByT5</a></strong> (Google Research から) Linting Xue, Aditya Barua, Noah Constant, Rami Al-Rfou, Sharan Narang, Mihir Kale, Adam Roberts, Colin Raffel から公開された研究論文: <a href="https://arxiv.org/abs/2105.13626" rel="nofollow">ByT5: Towards a token-free future with pre-trained byte-to-byte models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/camembert" rel="nofollow">CamemBERT</a></strong> (Inria/Facebook/Sorbonne から) Louis Martin<em>, Benjamin Muller</em>, Pedro Javier Ortiz Suárez*, Yoann Dupont, Laurent Romary, Éric Villemonte de la Clergerie, Djamé Seddah and Benoît Sagot から公開された研究論文: <a href="https://arxiv.org/abs/1911.03894" rel="nofollow">CamemBERT: a Tasty French Language Model</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/canine" rel="nofollow">CANINE</a></strong> (Google Research から) Jonathan H. Clark, Dan Garrette, Iulia Turc, John Wieting から公開された研究論文: <a href="https://arxiv.org/abs/2103.06874" rel="nofollow">CANINE: Pre-training an Efficient Tokenization-Free Encoder for Language Representation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/chinese_clip" rel="nofollow">Chinese-CLIP</a></strong> (OFA-Sys から) An Yang, Junshu Pan, Junyang Lin, Rui Men, Yichang Zhang, Jingren Zhou, Chang Zhou から公開された研究論文: <a href="https://arxiv.org/abs/2211.01335" rel="nofollow">Chinese CLIP: Contrastive Vision-Language Pretraining in Chinese</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/clip" rel="nofollow">CLIP</a></strong> (OpenAI から) Alec Radford, Jong Wook Kim, Chris Hallacy, Aditya Ramesh, Gabriel Goh, Sandhini Agarwal, Girish Sastry, Amanda Askell, Pamela Mishkin, Jack Clark, Gretchen Krueger, Ilya Sutskever から公開された研究論文: <a href="https://arxiv.org/abs/2103.00020" rel="nofollow">Learning Transferable Visual Models From Natural Language Supervision</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/clipseg" rel="nofollow">CLIPSeg</a></strong> (University of Göttingen から) Timo Lüddecke and Alexander Ecker から公開された研究論文: <a href="https://arxiv.org/abs/2112.10003" rel="nofollow">Image Segmentation Using Text and Image Prompts</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/codegen" rel="nofollow">CodeGen</a></strong> (Salesforce から) Erik Nijkamp, Bo Pang, Hiroaki Hayashi, Lifu Tu, Huan Wang, Yingbo Zhou, Silvio Savarese, Caiming Xiong から公開された研究論文: <a href="https://arxiv.org/abs/2203.13474" rel="nofollow">A Conversational Paradigm for Program Synthesis</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/conditional_detr" rel="nofollow">Conditional DETR</a></strong> (Microsoft Research Asia から) Depu Meng, Xiaokang Chen, Zejia Fan, Gang Zeng, Houqiang Li, Yuhui Yuan, Lei Sun, Jingdong Wang から公開された研究論文: <a href="https://arxiv.org/abs/2108.06152" rel="nofollow">Conditional DETR for Fast Training Convergence</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/convbert" rel="nofollow">ConvBERT</a></strong> (YituTech から) Zihang Jiang, Weihao Yu, Daquan Zhou, Yunpeng Chen, Jiashi Feng, Shuicheng Yan から公開された研究論文: <a href="https://arxiv.org/abs/2008.02496" rel="nofollow">ConvBERT: Improving BERT with Span-based Dynamic Convolution</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/convnext" rel="nofollow">ConvNeXT</a></strong> (Facebook AI から) Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie から公開された研究論文: <a href="https://arxiv.org/abs/2201.03545" rel="nofollow">A ConvNet for the 2020s</a></li> <li><strong><a href="model_doc/convnextv2">ConvNeXTV2</a></strong> (from Facebook AI) released with the paper <a href="https://arxiv.org/abs/2301.00808" rel="nofollow">ConvNeXt V2: Co-designing and Scaling ConvNets with Masked Autoencoders</a> by Sanghyun Woo, Shoubhik Debnath, Ronghang Hu, Xinlei Chen, Zhuang Liu, In So Kweon, Saining Xie.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/cpm" rel="nofollow">CPM</a></strong> (Tsinghua University から) Zhengyan Zhang, Xu Han, Hao Zhou, Pei Ke, Yuxian Gu, Deming Ye, Yujia Qin, Yusheng Su, Haozhe Ji, Jian Guan, Fanchao Qi, Xiaozhi Wang, Yanan Zheng, Guoyang Zeng, Huanqi Cao, Shengqi Chen, Daixuan Li, Zhenbo Sun, Zhiyuan Liu, Minlie Huang, Wentao Han, Jie Tang, Juanzi Li, Xiaoyan Zhu, Maosong Sun から公開された研究論文: <a href="https://arxiv.org/abs/2012.00413" rel="nofollow">CPM: A Large-scale Generative Chinese Pre-trained Language Model</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/ctrl" rel="nofollow">CTRL</a></strong> (Salesforce から) Nitish Shirish Keskar<em>, Bryan McCann</em>, Lav R. Varshney, Caiming Xiong and Richard Socher から公開された研究論文: <a href="https://arxiv.org/abs/1909.05858" rel="nofollow">CTRL: A Conditional Transformer Language Model for Controllable Generation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/cvt" rel="nofollow">CvT</a></strong> (Microsoft から) Haiping Wu, Bin Xiao, Noel Codella, Mengchen Liu, Xiyang Dai, Lu Yuan, Lei Zhang から公開された研究論文: <a href="https://arxiv.org/abs/2103.15808" rel="nofollow">CvT: Introducing Convolutions to Vision Transformers</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/data2vec" rel="nofollow">Data2Vec</a></strong> (Facebook から) Alexei Baevski, Wei-Ning Hsu, Qiantong Xu, Arun Babu, Jiatao Gu, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/2202.03555" rel="nofollow">Data2Vec:  A General Framework for Self-supervised Learning in Speech, Vision and Language</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/deberta" rel="nofollow">DeBERTa</a></strong> (Microsoft から) Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen から公開された研究論文: <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/deberta-v2" rel="nofollow">DeBERTa-v2</a></strong> (Microsoft から) Pengcheng He, Xiaodong Liu, Jianfeng Gao, Weizhu Chen から公開された研究論文: <a href="https://arxiv.org/abs/2006.03654" rel="nofollow">DeBERTa: Decoding-enhanced BERT with Disentangled Attention</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/decision_transformer" rel="nofollow">Decision Transformer</a></strong> (Berkeley/Facebook/Google から) Lili Chen, Kevin Lu, Aravind Rajeswaran, Kimin Lee, Aditya Grover, Michael Laskin, Pieter Abbeel, Aravind Srinivas, Igor Mordatch から公開された研究論文: <a href="https://arxiv.org/abs/2106.01345" rel="nofollow">Decision Transformer: Reinforcement Learning via Sequence Modeling</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/deformable_detr" rel="nofollow">Deformable DETR</a></strong> (SenseTime Research から) Xizhou Zhu, Weijie Su, Lewei Lu, Bin Li, Xiaogang Wang, Jifeng Dai から公開された研究論文: <a href="https://arxiv.org/abs/2010.04159" rel="nofollow">Deformable DETR: Deformable Transformers for End-to-End Object Detection</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/deit" rel="nofollow">DeiT</a></strong> (Facebook から) Hugo Touvron, Matthieu Cord, Matthijs Douze, Francisco Massa, Alexandre Sablayrolles, Hervé Jégou から公開された研究論文: <a href="https://arxiv.org/abs/2012.12877" rel="nofollow">Training data-efficient image transformers &amp; distillation through attention</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/detr" rel="nofollow">DETR</a></strong> (Facebook から) Nicolas Carion, Francisco Massa, Gabriel Synnaeve, Nicolas Usunier, Alexander Kirillov, Sergey Zagoruyko から公開された研究論文: <a href="https://arxiv.org/abs/2005.12872" rel="nofollow">End-to-End Object Detection with Transformers</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/dialogpt" rel="nofollow">DialoGPT</a></strong> (Microsoft Research から) Yizhe Zhang, Siqi Sun, Michel Galley, Yen-Chun Chen, Chris Brockett, Xiang Gao, Jianfeng Gao, Jingjing Liu, Bill Dolan から公開された研究論文: <a href="https://arxiv.org/abs/1911.00536" rel="nofollow">DialoGPT: Large-Scale Generative Pre-training for Conversational Response Generation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/dinat" rel="nofollow">DiNAT</a></strong> (SHI Labs から) Ali Hassani and Humphrey Shi から公開された研究論文: <a href="https://arxiv.org/abs/2209.15001" rel="nofollow">Dilated Neighborhood Attention Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/distilbert" rel="nofollow">DistilBERT</a></strong> (HuggingFace から), Victor Sanh, Lysandre Debut and Thomas Wolf. 同じ手法で GPT2, RoBERTa と Multilingual BERT の圧縮を行いました.圧縮されたモデルはそれぞれ <a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilGPT2</a>、<a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilRoBERTa</a>、<a href="https://github.com/huggingface/transformers/tree/main/examples/research_projects/distillation" rel="nofollow">DistilmBERT</a> と名付けられました. 公開された研究論文: <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT, a distilled version of BERT: smaller, faster, cheaper and lighter</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/dit" rel="nofollow">DiT</a></strong> (Microsoft Research から) Junlong Li, Yiheng Xu, Tengchao Lv, Lei Cui, Cha Zhang, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2203.02378" rel="nofollow">DiT: Self-supervised Pre-training for Document Image Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/donut" rel="nofollow">Donut</a></strong> (NAVER から), Geewook Kim, Teakgyu Hong, Moonbin Yim, Jeongyeon Nam, Jinyoung Park, Jinyeong Yim, Wonseok Hwang, Sangdoo Yun, Dongyoon Han, Seunghyun Park から公開された研究論文: <a href="https://arxiv.org/abs/2111.15664" rel="nofollow">OCR-free Document Understanding Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/dpr" rel="nofollow">DPR</a></strong> (Facebook から) Vladimir Karpukhin, Barlas Oğuz, Sewon Min, Patrick Lewis, Ledell Wu, Sergey Edunov, Danqi Chen, and Wen-tau Yih から公開された研究論文: <a href="https://arxiv.org/abs/2004.04906" rel="nofollow">Dense Passage Retrieval for Open-Domain Question Answering</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/master/model_doc/dpt" rel="nofollow">DPT</a></strong> (Intel Labs から) René Ranftl, Alexey Bochkovskiy, Vladlen Koltun から公開された研究論文: <a href="https://arxiv.org/abs/2103.13413" rel="nofollow">Vision Transformers for Dense Prediction</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/efficientnet" rel="nofollow">EfficientNet</a></strong> (from Google Research) released with the paper <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">EfficientNet: Rethinking Model Scaling for Convolutional Neural Networks</a>  by Mingxing Tan and Quoc V. Le.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/electra" rel="nofollow">ELECTRA</a></strong> (Google Research/Stanford University から) Kevin Clark, Minh-Thang Luong, Quoc V. Le, Christopher D. Manning から公開された研究論文: <a href="https://arxiv.org/abs/2003.10555" rel="nofollow">ELECTRA: Pre-training text encoders as discriminators rather than generators</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/encoder-decoder" rel="nofollow">EncoderDecoder</a></strong> (Google Research から) Sascha Rothe, Shashi Narayan, Aliaksei Severyn から公開された研究論文: <a href="https://arxiv.org/abs/1907.12461" rel="nofollow">Leveraging Pre-trained Checkpoints for Sequence Generation Tasks</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/ernie" rel="nofollow">ERNIE</a></strong> (Baidu から) Yu Sun, Shuohuan Wang, Yukun Li, Shikun Feng, Xuyi Chen, Han Zhang, Xin Tian, Danxiang Zhu, Hao Tian, Hua Wu から公開された研究論文: <a href="https://arxiv.org/abs/1904.09223" rel="nofollow">ERNIE: Enhanced Representation through Knowledge Integration</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/esm" rel="nofollow">ESM</a></strong> (Meta AI から) はトランスフォーマープロテイン言語モデルです.  <strong>ESM-1b</strong> は Alexander Rives, Joshua Meier, Tom Sercu, Siddharth Goyal, Zeming Lin, Jason Liu, Demi Guo, Myle Ott, C. Lawrence Zitnick, Jerry Ma, and Rob Fergus から公開された研究論文: <a href="https://www.pnas.org/content/118/15/e2016239118" rel="nofollow">Biological structure and function emerge from scaling unsupervised learning to 250 million protein sequences</a>. <strong>ESM-1v</strong> は Joshua Meier, Roshan Rao, Robert Verkuil, Jason Liu, Tom Sercu and Alexander Rives　から公開された研究論文: <a href="https://doi.org/10.1101/2021.07.09.450648" rel="nofollow">Language models enable zero-shot prediction of the effects of mutations on protein function</a>. <strong>ESM-2</strong> と　<strong>ESMFold</strong> は Zeming Lin, Halil Akin, Roshan Rao, Brian Hie, Zhongkai Zhu, Wenting Lu, Allan dos Santos Costa, Maryam Fazel-Zarandi, Tom Sercu, Sal Candido, Alexander Rives から公開された研究論文: <a href="https://doi.org/10.1101/2022.07.20.500902" rel="nofollow">Language models of protein sequences at the scale of evolution enable accurate structure prediction</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/flan-t5" rel="nofollow">FLAN-T5</a></strong> (Google AI から) Hyung Won Chung, Le Hou, Shayne Longpre, Barret Zoph, Yi Tay, William Fedus, Eric Li, Xuezhi Wang, Mostafa Dehghani, Siddhartha Brahma, Albert Webson, Shixiang Shane Gu, Zhuyun Dai, Mirac Suzgun, Xinyun Chen, Aakanksha Chowdhery, Sharan Narang, Gaurav Mishra, Adams Yu, Vincent Zhao, Yanping Huang, Andrew Dai, Hongkun Yu, Slav Petrov, Ed H. Chi, Jeff Dean, Jacob Devlin, Adam Roberts, Denny Zhou, Quoc V から公開されたレポジトリー <a href="https://github.com/google-research/t5x/blob/main/docs/models.md#flan-t5-checkpoints" rel="nofollow">google-research/t5x</a> Le, and Jason Wei</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/flaubert" rel="nofollow">FlauBERT</a></strong> (CNRS から) Hang Le, Loïc Vial, Jibril Frej, Vincent Segonne, Maximin Coavoux, Benjamin Lecouteux, Alexandre Allauzen, Benoît Crabbé, Laurent Besacier, Didier Schwab から公開された研究論文: <a href="https://arxiv.org/abs/1912.05372" rel="nofollow">FlauBERT: Unsupervised Language Model Pre-training for French</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/flava" rel="nofollow">FLAVA</a></strong> (Facebook AI から) Amanpreet Singh, Ronghang Hu, Vedanuj Goswami, Guillaume Couairon, Wojciech Galuba, Marcus Rohrbach, and Douwe Kiela から公開された研究論文: <a href="https://arxiv.org/abs/2112.04482" rel="nofollow">FLAVA: A Foundational Language And Vision Alignment Model</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/fnet" rel="nofollow">FNet</a></strong> (Google Research から) James Lee-Thorp, Joshua Ainslie, Ilya Eckstein, Santiago Ontanon から公開された研究論文: <a href="https://arxiv.org/abs/2105.03824" rel="nofollow">FNet: Mixing Tokens with Fourier Transforms</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/funnel" rel="nofollow">Funnel Transformer</a></strong> (CMU/Google Brain から) Zihang Dai, Guokun Lai, Yiming Yang, Quoc V. Le から公開された研究論文: <a href="https://arxiv.org/abs/2006.03236" rel="nofollow">Funnel-Transformer: Filtering out Sequential Redundancy for Efficient Language Processing</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/git" rel="nofollow">GIT</a></strong> (Microsoft Research から) Jianfeng Wang, Zhengyuan Yang, Xiaowei Hu, Linjie Li, Kevin Lin, Zhe Gan, Zicheng Liu, Ce Liu, Lijuan Wang. から公開された研究論文 <a href="https://arxiv.org/abs/2205.14100" rel="nofollow">GIT: A Generative Image-to-text Transformer for Vision and Language</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/glpn" rel="nofollow">GLPN</a></strong> (KAIST から) Doyeon Kim, Woonghyun Ga, Pyungwhan Ahn, Donggyu Joo, Sehwan Chun, Junmo Kim から公開された研究論文: <a href="https://arxiv.org/abs/2201.07436" rel="nofollow">Global-Local Path Networks for Monocular Depth Estimation with Vertical CutDepth</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/openai-gpt" rel="nofollow">GPT</a></strong> (OpenAI から) Alec Radford, Karthik Narasimhan, Tim Salimans and Ilya Sutskever から公開された研究論文: <a href="https://blog.openai.com/language-unsupervised/" rel="nofollow">Improving Language Understanding by Generative Pre-Training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/gpt_neo" rel="nofollow">GPT Neo</a></strong> (EleutherAI から) Sid Black, Stella Biderman, Leo Gao, Phil Wang and Connor Leahy から公開されたレポジトリー : <a href="https://github.com/EleutherAI/gpt-neo" rel="nofollow">EleutherAI/gpt-neo</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/gpt_neox" rel="nofollow">GPT NeoX</a></strong> (EleutherAI から) Sid Black, Stella Biderman, Eric Hallahan, Quentin Anthony, Leo Gao, Laurence Golding, Horace He, Connor Leahy, Kyle McDonell, Jason Phang, Michael Pieler, USVSN Sai Prashanth, Shivanshu Purohit, Laria Reynolds, Jonathan Tow, Ben Wang, Samuel Weinbach から公開された研究論文: <a href="https://arxiv.org/abs/2204.06745" rel="nofollow">GPT-NeoX-20B: An Open-Source Autoregressive Language Model</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/gpt_neox_japanese" rel="nofollow">GPT NeoX Japanese</a></strong> (ABEJA から) Shinya Otani, Takayoshi Makabe, Anuj Arora, and Kyo Hattori からリリース.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/gpt2" rel="nofollow">GPT-2</a></strong> (OpenAI から) Alec Radford<em>, Jeffrey Wu</em>, Rewon Child, David Luan, Dario Amodei<strong>and Ilya Sutskever</strong> から公開された研究論文: <a href="https://blog.openai.com/better-language-models/" rel="nofollow">Language Models are Unsupervised Multitask Learners</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/gptj" rel="nofollow">GPT-J</a></strong> (EleutherAI から) Ben Wang and Aran Komatsuzaki から公開されたレポジトリー <a href="https://github.com/kingoflolz/mesh-transformer-jax/" rel="nofollow">kingoflolz/mesh-transformer-jax</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/gpt-sw3" rel="nofollow">GPT-Sw3</a></strong> (AI-Sweden から) Ariel Ekgren, Amaru Cuba Gyllensten, Evangelia Gogoulou, Alice Heiman, Severine Verlinden, Joey Öhman, Fredrik Carlsson, Magnus Sahlgren から公開された研究論文: <a href="http://www.lrec-conf.org/proceedings/lrec2022/pdf/2022.lrec-1.376.pdf" rel="nofollow">Lessons Learned from GPT-SW3: Building the First Large-Scale Generative Language Model for Swedish</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/groupvit" rel="nofollow">GroupViT</a></strong> (UCSD, NVIDIA から) Jiarui Xu, Shalini De Mello, Sifei Liu, Wonmin Byeon, Thomas Breuel, Jan Kautz, Xiaolong Wang から公開された研究論文: <a href="https://arxiv.org/abs/2202.11094" rel="nofollow">GroupViT: Semantic Segmentation Emerges from Text Supervision</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/hubert" rel="nofollow">Hubert</a></strong> (Facebook から) Wei-Ning Hsu, Benjamin Bolte, Yao-Hung Hubert Tsai, Kushal Lakhotia, Ruslan Salakhutdinov, Abdelrahman Mohamed から公開された研究論文: <a href="https://arxiv.org/abs/2106.07447" rel="nofollow">HuBERT: Self-Supervised Speech Representation Learning by Masked Prediction of Hidden Units</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/ibert" rel="nofollow">I-BERT</a></strong> (Berkeley から) Sehoon Kim, Amir Gholami, Zhewei Yao, Michael W. Mahoney, Kurt Keutzer から公開された研究論文: <a href="https://arxiv.org/abs/2101.01321" rel="nofollow">I-BERT: Integer-only BERT Quantization</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/imagegpt" rel="nofollow">ImageGPT</a></strong> (OpenAI から) Mark Chen, Alec Radford, Rewon Child, Jeffrey Wu, Heewoo Jun, David Luan, Ilya Sutskever から公開された研究論文: <a href="https://openai.com/blog/image-gpt/" rel="nofollow">Generative Pretraining from Pixels</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/jukebox" rel="nofollow">Jukebox</a></strong> (OpenAI から) Prafulla Dhariwal, Heewoo Jun, Christine Payne, Jong Wook Kim, Alec Radford, Ilya Sutskever から公開された研究論文: <a href="https://arxiv.org/pdf/2005.00341.pdf" rel="nofollow">Jukebox: A Generative Model for Music</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/layoutlm" rel="nofollow">LayoutLM</a></strong> (Microsoft Research Asia から) Yiheng Xu, Minghao Li, Lei Cui, Shaohan Huang, Furu Wei, Ming Zhou から公開された研究論文: <a href="https://arxiv.org/abs/1912.13318" rel="nofollow">LayoutLM: Pre-training of Text and Layout for Document Image Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/layoutlmv2" rel="nofollow">LayoutLMv2</a></strong> (Microsoft Research Asia から) Yang Xu, Yiheng Xu, Tengchao Lv, Lei Cui, Furu Wei, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Wanxiang Che, Min Zhang, Lidong Zhou から公開された研究論文: <a href="https://arxiv.org/abs/2012.14740" rel="nofollow">LayoutLMv2: Multi-modal Pre-training for Visually-Rich Document Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/layoutlmv3" rel="nofollow">LayoutLMv3</a></strong> (Microsoft Research Asia から) Yupan Huang, Tengchao Lv, Lei Cui, Yutong Lu, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2204.08387" rel="nofollow">LayoutLMv3: Pre-training for Document AI with Unified Text and Image Masking</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/layoutxlm" rel="nofollow">LayoutXLM</a></strong> (Microsoft Research Asia から) Yiheng Xu, Tengchao Lv, Lei Cui, Guoxin Wang, Yijuan Lu, Dinei Florencio, Cha Zhang, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2104.08836" rel="nofollow">LayoutXLM: Multimodal Pre-training for Multilingual Visually-rich Document Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/led" rel="nofollow">LED</a></strong> (AllenAI から) Iz Beltagy, Matthew E. Peters, Arman Cohan から公開された研究論文: <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/levit" rel="nofollow">LeViT</a></strong> (Meta AI から) Ben Graham, Alaaeldin El-Nouby, Hugo Touvron, Pierre Stock, Armand Joulin, Hervé Jégou, Matthijs Douze から公開された研究論文: <a href="https://arxiv.org/abs/2104.01136" rel="nofollow">LeViT: A Vision Transformer in ConvNet’s Clothing for Faster Inference</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/lilt" rel="nofollow">LiLT</a></strong> (South China University of Technology から) Jiapeng Wang, Lianwen Jin, Kai Ding から公開された研究論文: <a href="https://arxiv.org/abs/2202.13669" rel="nofollow">LiLT: A Simple yet Effective Language-Independent Layout Transformer for Structured Document Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/longformer" rel="nofollow">Longformer</a></strong> (AllenAI から) Iz Beltagy, Matthew E. Peters, Arman Cohan から公開された研究論文: <a href="https://arxiv.org/abs/2004.05150" rel="nofollow">Longformer: The Long-Document Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/longt5" rel="nofollow">LongT5</a></strong> (Google AI から) Mandy Guo, Joshua Ainslie, David Uthus, Santiago Ontanon, Jianmo Ni, Yun-Hsuan Sung, Yinfei Yang から公開された研究論文: <a href="https://arxiv.org/abs/2112.07916" rel="nofollow">LongT5: Efficient Text-To-Text Transformer for Long Sequences</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/luke" rel="nofollow">LUKE</a></strong> (Studio Ousia から) Ikuya Yamada, Akari Asai, Hiroyuki Shindo, Hideaki Takeda, Yuji Matsumoto から公開された研究論文: <a href="https://arxiv.org/abs/2010.01057" rel="nofollow">LUKE: Deep Contextualized Entity Representations with Entity-aware Self-attention</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/lxmert" rel="nofollow">LXMERT</a></strong> (UNC Chapel Hill から) Hao Tan and Mohit Bansal から公開された研究論文: <a href="https://arxiv.org/abs/1908.07490" rel="nofollow">LXMERT: Learning Cross-Modality Encoder Representations from Transformers for Open-Domain Question Answering</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mctct" rel="nofollow">M-CTC-T</a></strong> (Facebook から) Loren Lugosch, Tatiana Likhomanenko, Gabriel Synnaeve, and Ronan Collobert から公開された研究論文: <a href="https://arxiv.org/abs/2111.00161" rel="nofollow">Pseudo-Labeling For Massively Multilingual Speech Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/m2m_100" rel="nofollow">M2M100</a></strong> (Facebook から) Angela Fan, Shruti Bhosale, Holger Schwenk, Zhiyi Ma, Ahmed El-Kishky, Siddharth Goyal, Mandeep Baines, Onur Celebi, Guillaume Wenzek, Vishrav Chaudhary, Naman Goyal, Tom Birch, Vitaliy Liptchinsky, Sergey Edunov, Edouard Grave, Michael Auli, Armand Joulin から公開された研究論文: <a href="https://arxiv.org/abs/2010.11125" rel="nofollow">Beyond English-Centric Multilingual Machine Translation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/marian" rel="nofollow">MarianMT</a></strong> Jörg Tiedemann から. <a href="http://opus.nlpl.eu/" rel="nofollow">OPUS</a> を使いながら学習された “Machine translation” (マシントランスレーション) モデル. <a href="https://marian-nmt.github.io/" rel="nofollow">Marian Framework</a> はMicrosoft Translator Team　が現在開発中です.</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/markuplm" rel="nofollow">MarkupLM</a></strong> (Microsoft Research Asia から) Junlong Li, Yiheng Xu, Lei Cui, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2110.08518" rel="nofollow">MarkupLM: Pre-training of Text and Markup Language for Visually-rich Document Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/mask2former" rel="nofollow">Mask2Former</a></strong> (FAIR and UIUC から) Bowen Cheng, Ishan Misra, Alexander G. Schwing, Alexander Kirillov, Rohit Girdhar. から公開された研究論文 <a href="https://arxiv.org/abs/2112.01527" rel="nofollow">Masked-attention Mask Transformer for Universal Image Segmentation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/maskformer" rel="nofollow">MaskFormer</a></strong> (Meta and UIUC から) Bowen Cheng, Alexander G. Schwing, Alexander Kirillov から公開された研究論文: <a href="https://arxiv.org/abs/2107.06278" rel="nofollow">Per-Pixel Classification is Not All You Need for Semantic Segmentation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mbart" rel="nofollow">mBART</a></strong> (Facebook から) Yinhan Liu, Jiatao Gu, Naman Goyal, Xian Li, Sergey Edunov, Marjan Ghazvininejad, Mike Lewis, Luke Zettlemoyer から公開された研究論文: <a href="https://arxiv.org/abs/2001.08210" rel="nofollow">Multilingual Denoising Pre-training for Neural Machine Translation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mbart" rel="nofollow">mBART-50</a></strong> (Facebook から) Yuqing Tang, Chau Tran, Xian Li, Peng-Jen Chen, Naman Goyal, Vishrav Chaudhary, Jiatao Gu, Angela Fan から公開された研究論文: <a href="https://arxiv.org/abs/2008.00401" rel="nofollow">Multilingual Translation with Extensible Multilingual Pretraining and Finetuning</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/megatron-bert" rel="nofollow">Megatron-BERT</a></strong> (NVIDIA から) Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper and Bryan Catanzaro から公開された研究論文: <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/megatron_gpt2" rel="nofollow">Megatron-GPT2</a></strong> (NVIDIA から) Mohammad Shoeybi, Mostofa Patwary, Raul Puri, Patrick LeGresley, Jared Casper and Bryan Catanzaro から公開された研究論文: <a href="https://arxiv.org/abs/1909.08053" rel="nofollow">Megatron-LM: Training Multi-Billion Parameter Language Models Using Model Parallelism</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mluke" rel="nofollow">mLUKE</a></strong> (Studio Ousia から) Ryokan Ri, Ikuya Yamada, and Yoshimasa Tsuruoka から公開された研究論文: <a href="https://arxiv.org/abs/2110.08151" rel="nofollow">mLUKE: The Power of Entity Representations in Multilingual Pretrained Language Models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mobilebert" rel="nofollow">MobileBERT</a></strong> (CMU/Google Brain から) Zhiqing Sun, Hongkun Yu, Xiaodan Song, Renjie Liu, Yiming Yang, and Denny Zhou から公開された研究論文: <a href="https://arxiv.org/abs/2004.02984" rel="nofollow">MobileBERT: a Compact Task-Agnostic BERT for Resource-Limited Devices</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mobilenet_v1" rel="nofollow">MobileNetV1</a></strong> (Google Inc. から) Andrew G. Howard, Menglong Zhu, Bo Chen, Dmitry Kalenichenko, Weijun Wang, Tobias Weyand, Marco Andreetto, Hartwig Adam から公開された研究論文: <a href="https://arxiv.org/abs/1704.04861" rel="nofollow">MobileNets: Efficient Convolutional Neural Networks for Mobile Vision Applications</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mobilenet_v2" rel="nofollow">MobileNetV2</a></strong> (Google Inc. から) Mark Sandler, Andrew Howard, Menglong Zhu, Andrey Zhmoginov, Liang-Chieh Chen から公開された研究論文: <a href="https://arxiv.org/abs/1801.04381" rel="nofollow">MobileNetV2: Inverted Residuals and Linear Bottlenecks</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mobilevit" rel="nofollow">MobileViT</a></strong> (Apple から) Sachin Mehta and Mohammad Rastegari から公開された研究論文: <a href="https://arxiv.org/abs/2110.02178" rel="nofollow">MobileViT: Light-weight, General-purpose, and Mobile-friendly Vision Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mpnet" rel="nofollow">MPNet</a></strong> (Microsoft Research から) Kaitao Song, Xu Tan, Tao Qin, Jianfeng Lu, Tie-Yan Liu から公開された研究論文: <a href="https://arxiv.org/abs/2004.09297" rel="nofollow">MPNet: Masked and Permuted Pre-training for Language Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mt5" rel="nofollow">MT5</a></strong> (Google AI から) Linting Xue, Noah Constant, Adam Roberts, Mihir Kale, Rami Al-Rfou, Aditya Siddhant, Aditya Barua, Colin Raffel から公開された研究論文: <a href="https://arxiv.org/abs/2010.11934" rel="nofollow">mT5: A massively multilingual pre-trained text-to-text transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/mvp" rel="nofollow">MVP</a></strong> (RUC AI Box から) Tianyi Tang, Junyi Li, Wayne Xin Zhao and Ji-Rong Wen から公開された研究論文: <a href="https://arxiv.org/abs/2206.12131" rel="nofollow">MVP: Multi-task Supervised Pre-training for Natural Language Generation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/nat" rel="nofollow">NAT</a></strong> (SHI Labs から) Ali Hassani, Steven Walton, Jiachen Li, Shen Li, and Humphrey Shi から公開された研究論文: <a href="https://arxiv.org/abs/2204.07143" rel="nofollow">Neighborhood Attention Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/nezha" rel="nofollow">Nezha</a></strong> (Huawei Noah’s Ark Lab から) Junqiu Wei, Xiaozhe Ren, Xiaoguang Li, Wenyong Huang, Yi Liao, Yasheng Wang, Jiashu Lin, Xin Jiang, Xiao Chen and Qun Liu から公開された研究論文: <a href="https://arxiv.org/abs/1909.00204" rel="nofollow">NEZHA: Neural Contextualized Representation for Chinese Language Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/nllb" rel="nofollow">NLLB</a></strong> (Meta から) the NLLB team から公開された研究論文: <a href="https://arxiv.org/abs/2207.04672" rel="nofollow">No Language Left Behind: Scaling Human-Centered Machine Translation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/nystromformer" rel="nofollow">Nyströmformer</a></strong> (the University of Wisconsin - Madison から) Yunyang Xiong, Zhanpeng Zeng, Rudrasis Chakraborty, Mingxing Tan, Glenn Fung, Yin Li, Vikas Singh から公開された研究論文: <a href="https://arxiv.org/abs/2102.03902" rel="nofollow">Nyströmformer: A Nyström-Based Algorithm for Approximating Self-Attention</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/oneformer" rel="nofollow">OneFormer</a></strong> (SHI Labs から) Jitesh Jain, Jiachen Li, MangTik Chiu, Ali Hassani, Nikita Orlov, Humphrey Shi から公開された研究論文: <a href="https://arxiv.org/abs/2211.06220" rel="nofollow">OneFormer: One Transformer to Rule Universal Image Segmentation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/master/model_doc/opt" rel="nofollow">OPT</a></strong> (Meta AI から) Susan Zhang, Stephen Roller, Naman Goyal, Mikel Artetxe, Moya Chen, Shuohui Chen et al から公開された研究論文: <a href="https://arxiv.org/abs/2205.01068" rel="nofollow">OPT: Open Pre-trained Transformer Language Models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/owlvit" rel="nofollow">OWL-ViT</a></strong> (Google AI から) Matthias Minderer, Alexey Gritsenko, Austin Stone, Maxim Neumann, Dirk Weissenborn, Alexey Dosovitskiy, Aravindh Mahendran, Anurag Arnab, Mostafa Dehghani, Zhuoran Shen, Xiao Wang, Xiaohua Zhai, Thomas Kipf, and Neil Houlsby から公開された研究論文: <a href="https://arxiv.org/abs/2205.06230" rel="nofollow">Simple Open-Vocabulary Object Detection with Vision Transformers</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/pegasus" rel="nofollow">Pegasus</a></strong> (Google から) Jingqing Zhang, Yao Zhao, Mohammad Saleh and Peter J. Liu から公開された研究論文: <a href="https://arxiv.org/abs/1912.08777" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive Summarization</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/pegasus_x" rel="nofollow">PEGASUS-X</a></strong> (Google から) Jason Phang, Yao Zhao, and Peter J. Liu から公開された研究論文: <a href="https://arxiv.org/abs/2208.04347" rel="nofollow">Investigating Efficiently Extending Transformers for Long Input Summarization</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/perceiver" rel="nofollow">Perceiver IO</a></strong> (Deepmind から) Andrew Jaegle, Sebastian Borgeaud, Jean-Baptiste Alayrac, Carl Doersch, Catalin Ionescu, David Ding, Skanda Koppula, Daniel Zoran, Andrew Brock, Evan Shelhamer, Olivier Hénaff, Matthew M. Botvinick, Andrew Zisserman, Oriol Vinyals, João Carreira から公開された研究論文: <a href="https://arxiv.org/abs/2107.14795" rel="nofollow">Perceiver IO: A General Architecture for Structured Inputs &amp; Outputs</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/phobert" rel="nofollow">PhoBERT</a></strong> (VinAI Research から) Dat Quoc Nguyen and Anh Tuan Nguyen から公開された研究論文: <a href="https://www.aclweb.org/anthology/2020.findings-emnlp.92/" rel="nofollow">PhoBERT: Pre-trained language models for Vietnamese</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/plbart" rel="nofollow">PLBart</a></strong> (UCLA NLP から) Wasi Uddin Ahmad, Saikat Chakraborty, Baishakhi Ray, Kai-Wei Chang から公開された研究論文: <a href="https://arxiv.org/abs/2103.06333" rel="nofollow">Unified Pre-training for Program Understanding and Generation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/poolformer" rel="nofollow">PoolFormer</a></strong> (Sea AI Labs から) Yu, Weihao and Luo, Mi and Zhou, Pan and Si, Chenyang and Zhou, Yichen and Wang, Xinchao and Feng, Jiashi and Yan, Shuicheng から公開された研究論文: <a href="https://arxiv.org/abs/2111.11418" rel="nofollow">MetaFormer is Actually What You Need for Vision</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/prophetnet" rel="nofollow">ProphetNet</a></strong> (Microsoft Research から) Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang and Ming Zhou から公開された研究論文: <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/qdqbert" rel="nofollow">QDQBert</a></strong> (NVIDIA から) Hao Wu, Patrick Judd, Xiaojie Zhang, Mikhail Isaev and Paulius Micikevicius から公開された研究論文: <a href="https://arxiv.org/abs/2004.09602" rel="nofollow">Integer Quantization for Deep Learning Inference: Principles and Empirical Evaluation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/rag" rel="nofollow">RAG</a></strong> (Facebook から) Patrick Lewis, Ethan Perez, Aleksandara Piktus, Fabio Petroni, Vladimir Karpukhin, Naman Goyal, Heinrich Küttler, Mike Lewis, Wen-tau Yih, Tim Rocktäschel, Sebastian Riedel, Douwe Kiela から公開された研究論文: <a href="https://arxiv.org/abs/2005.11401" rel="nofollow">Retrieval-Augmented Generation for Knowledge-Intensive NLP Tasks</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/realm.html" rel="nofollow">REALM</a></strong> (Google Research から) Kelvin Guu, Kenton Lee, Zora Tung, Panupong Pasupat and Ming-Wei Chang から公開された研究論文: <a href="https://arxiv.org/abs/2002.08909" rel="nofollow">REALM: Retrieval-Augmented Language Model Pre-Training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/reformer" rel="nofollow">Reformer</a></strong> (Google Research から) Nikita Kitaev, Łukasz Kaiser, Anselm Levskaya から公開された研究論文: <a href="https://arxiv.org/abs/2001.04451" rel="nofollow">Reformer: The Efficient Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/regnet" rel="nofollow">RegNet</a></strong> (META Platforms から) Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Dollár から公開された研究論文: <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">Designing Network Design Space</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/rembert" rel="nofollow">RemBERT</a></strong> (Google Research から) Hyung Won Chung, Thibault Févry, Henry Tsai, M. Johnson, Sebastian Ruder から公開された研究論文: <a href="https://arxiv.org/abs/2010.12821" rel="nofollow">Rethinking embedding coupling in pre-trained language models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/resnet" rel="nofollow">ResNet</a></strong> (Microsoft Research から) Kaiming He, Xiangyu Zhang, Shaoqing Ren, Jian Sun から公開された研究論文: <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">Deep Residual Learning for Image Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/roberta" rel="nofollow">RoBERTa</a></strong> (Facebook から), Yinhan Liu, Myle Ott, Naman Goyal, Jingfei Du, Mandar Joshi, Danqi Chen, Omer Levy, Mike Lewis, Luke Zettlemoyer, Veselin Stoyanov から公開された研究論文: <a href="https://arxiv.org/abs/1907.11692" rel="nofollow">RoBERTa: A Robustly Optimized BERT Pretraining Approach</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/roberta-prelayernorm" rel="nofollow">RoBERTa-PreLayerNorm</a></strong> (Facebook から) Myle Ott, Sergey Edunov, Alexei Baevski, Angela Fan, Sam Gross, Nathan Ng, David Grangier, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/1904.01038" rel="nofollow">fairseq: A Fast, Extensible Toolkit for Sequence Modeling</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/roc_bert" rel="nofollow">RoCBert</a></strong> (WeChatAI から) HuiSu, WeiweiShi, XiaoyuShen, XiaoZhou, TuoJi, JiaruiFang, JieZhou から公開された研究論文: <a href="https://aclanthology.org/2022.acl-long.65.pdf" rel="nofollow">RoCBert: Robust Chinese Bert with Multimodal Contrastive Pretraining</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/roformer" rel="nofollow">RoFormer</a></strong> (ZhuiyiTechnology から), Jianlin Su and Yu Lu and Shengfeng Pan and Bo Wen and Yunfeng Liu から公開された研究論文: <a href="https://arxiv.org/abs/2104.09864" rel="nofollow">RoFormer: Enhanced Transformer with Rotary Position Embedding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/segformer" rel="nofollow">SegFormer</a></strong> (NVIDIA から) Enze Xie, Wenhai Wang, Zhiding Yu, Anima Anandkumar, Jose M. Alvarez, Ping Luo から公開された研究論文: <a href="https://arxiv.org/abs/2105.15203" rel="nofollow">SegFormer: Simple and Efficient Design for Semantic Segmentation with Transformers</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/sew" rel="nofollow">SEW</a></strong> (ASAPP から) Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi から公開された研究論文: <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/sew_d" rel="nofollow">SEW-D</a></strong> (ASAPP から) Felix Wu, Kwangyoun Kim, Jing Pan, Kyu Han, Kilian Q. Weinberger, Yoav Artzi から公開された研究論文: <a href="https://arxiv.org/abs/2109.06870" rel="nofollow">Performance-Efficiency Trade-offs in Unsupervised Pre-training for Speech Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/speech_to_text" rel="nofollow">SpeechToTextTransformer</a></strong> (Facebook から), Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Dmytro Okhonko, Juan Pino から公開された研究論文: <a href="https://arxiv.org/abs/2010.05171" rel="nofollow">fairseq S2T: Fast Speech-to-Text Modeling with fairseq</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/speech_to_text_2" rel="nofollow">SpeechToTextTransformer2</a></strong> (Facebook から), Changhan Wang, Anne Wu, Juan Pino, Alexei Baevski, Michael Auli, Alexis Conneau から公開された研究論文: <a href="https://arxiv.org/abs/2104.06678" rel="nofollow">Large-Scale Self- and Semi-Supervised Learning for Speech Translation</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/splinter" rel="nofollow">Splinter</a></strong> (Tel Aviv University から), Ori Ram, Yuval Kirstain, Jonathan Berant, Amir Globerson, Omer Levy から公開された研究論文: <a href="https://arxiv.org/abs/2101.00438" rel="nofollow">Few-Shot Question Answering by Pretraining Span Selection</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/squeezebert" rel="nofollow">SqueezeBERT</a></strong> (Berkeley から) Forrest N. Iandola, Albert E. Shaw, Ravi Krishna, and Kurt W. Keutzer から公開された研究論文: <a href="https://arxiv.org/abs/2006.11316" rel="nofollow">SqueezeBERT: What can computer vision teach NLP about efficient neural networks?</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/swin" rel="nofollow">Swin Transformer</a></strong> (Microsoft から) Ze Liu, Yutong Lin, Yue Cao, Han Hu, Yixuan Wei, Zheng Zhang, Stephen Lin, Baining Guo から公開された研究論文: <a href="https://arxiv.org/abs/2103.14030" rel="nofollow">Swin Transformer: Hierarchical Vision Transformer using Shifted Windows</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/swinv2" rel="nofollow">Swin Transformer V2</a></strong> (Microsoft から) Ze Liu, Han Hu, Yutong Lin, Zhuliang Yao, Zhenda Xie, Yixuan Wei, Jia Ning, Yue Cao, Zheng Zhang, Li Dong, Furu Wei, Baining Guo から公開された研究論文: <a href="https://arxiv.org/abs/2111.09883" rel="nofollow">Swin Transformer V2: Scaling Up Capacity and Resolution</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/swin2sr" rel="nofollow">Swin2SR</a></strong> (University of Würzburg から) Marcos V. Conde, Ui-Jin Choi, Maxime Burchi, Radu Timofte から公開された研究論文: <a href="https://arxiv.org/abs/2209.11345" rel="nofollow">Swin2SR: SwinV2 Transformer for Compressed Image Super-Resolution and Restoration</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/switch_transformers" rel="nofollow">SwitchTransformers</a></strong> (Google から) William Fedus, Barret Zoph, Noam Shazeer から公開された研究論文: <a href="https://arxiv.org/abs/2101.03961" rel="nofollow">Switch Transformers: Scaling to Trillion Parameter Models with Simple and Efficient Sparsity</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/t5" rel="nofollow">T5</a></strong> (Google AI から) Colin Raffel and Noam Shazeer and Adam Roberts and Katherine Lee and Sharan Narang and Michael Matena and Yanqi Zhou and Wei Li and Peter J. Liu から公開された研究論文: <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/t5v1.1" rel="nofollow">T5v1.1</a></strong> (Google AI から) Colin Raffel and Noam Shazeer and Adam Roberts and Katherine Lee and Sharan Narang and Michael Matena and Yanqi Zhou and Wei Li and Peter J. Liu から公開されたレポジトリー <a href="https://github.com/google-research/text-to-text-transfer-transformer/blob/main/released_checkpoints.md#t511" rel="nofollow">google-research/text-to-text-transfer-transformer</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/table-transformer" rel="nofollow">Table Transformer</a></strong> (Microsoft Research から) Brandon Smock, Rohith Pesala, Robin Abraham から公開された研究論文: <a href="https://arxiv.org/abs/2110.00061" rel="nofollow">PubTables-1M: Towards Comprehensive Table Extraction From Unstructured Documents</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/tapas" rel="nofollow">TAPAS</a></strong> (Google AI から) Jonathan Herzig, Paweł Krzysztof Nowak, Thomas Müller, Francesco Piccinno and Julian Martin Eisenschlos から公開された研究論文: <a href="https://arxiv.org/abs/2004.02349" rel="nofollow">TAPAS: Weakly Supervised Table Parsing via Pre-training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/tapex" rel="nofollow">TAPEX</a></strong> (Microsoft Research から) Qian Liu, Bei Chen, Jiaqi Guo, Morteza Ziyadi, Zeqi Lin, Weizhu Chen, Jian-Guang Lou から公開された研究論文: <a href="https://arxiv.org/abs/2107.07653" rel="nofollow">TAPEX: Table Pre-training via Learning a Neural SQL Executor</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/time_series_transformer" rel="nofollow">Time Series Transformer</a></strong>  (HuggingFace から).</li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/timesformer" rel="nofollow">TimeSformer</a></strong> (Facebook から) Gedas Bertasius, Heng Wang, Lorenzo Torresani から公開された研究論文: <a href="https://arxiv.org/abs/2102.05095" rel="nofollow">Is Space-Time Attention All You Need for Video Understanding?</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/trajectory_transformers" rel="nofollow">Trajectory Transformer</a></strong> (the University of California at Berkeley から) Michael Janner, Qiyang Li, Sergey Levine から公開された研究論文: <a href="https://arxiv.org/abs/2106.02039" rel="nofollow">Offline Reinforcement Learning as One Big Sequence Modeling Problem</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/transfo-xl" rel="nofollow">Transformer-XL</a></strong> (Google/CMU から) Zihang Dai<em>, Zhilin Yang</em>, Yiming Yang, Jaime Carbonell, Quoc V. Le, Ruslan Salakhutdinov から公開された研究論文: <a href="https://arxiv.org/abs/1901.02860" rel="nofollow">Transformer-XL: Attentive Language Models Beyond a Fixed-Length Context</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/trocr" rel="nofollow">TrOCR</a></strong> (Microsoft から), Minghao Li, Tengchao Lv, Lei Cui, Yijuan Lu, Dinei Florencio, Cha Zhang, Zhoujun Li, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2109.10282" rel="nofollow">TrOCR: Transformer-based Optical Character Recognition with Pre-trained Models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/ul2" rel="nofollow">UL2</a></strong> (Google Research から) Yi Tay, Mostafa Dehghani, Vinh Q から公開された研究論文: <a href="https://arxiv.org/abs/2205.05131v1" rel="nofollow">Unifying Language Learning Paradigms</a> Tran, Xavier Garcia, Dara Bahri, Tal Schuster, Huaixiu Steven Zheng, Neil Houlsby, Donald Metzler</li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/unispeech" rel="nofollow">UniSpeech</a></strong> (Microsoft Research から) Chengyi Wang, Yu Wu, Yao Qian, Kenichi Kumatani, Shujie Liu, Furu Wei, Michael Zeng, Xuedong Huang から公開された研究論文: <a href="https://arxiv.org/abs/2101.07597" rel="nofollow">UniSpeech: Unified Speech Representation Learning with Labeled and Unlabeled Data</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/unispeech-sat" rel="nofollow">UniSpeechSat</a></strong> (Microsoft Research から) Sanyuan Chen, Yu Wu, Chengyi Wang, Zhengyang Chen, Zhuo Chen, Shujie Liu, Jian Wu, Yao Qian, Furu Wei, Jinyu Li, Xiangzhan Yu から公開された研究論文: <a href="https://arxiv.org/abs/2110.05752" rel="nofollow">UNISPEECH-SAT: UNIVERSAL SPEECH REPRESENTATION LEARNING WITH SPEAKER AWARE PRE-TRAINING</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/upernet" rel="nofollow">UPerNet</a></strong> (Peking University から) Tete Xiao, Yingcheng Liu, Bolei Zhou, Yuning Jiang, Jian Sun. から公開された研究論文 <a href="https://arxiv.org/abs/1807.10221" rel="nofollow">Unified Perceptual Parsing for Scene Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/van" rel="nofollow">VAN</a></strong> (Tsinghua University and Nankai University から) Meng-Hao Guo, Cheng-Ze Lu, Zheng-Ning Liu, Ming-Ming Cheng, Shi-Min Hu から公開された研究論文: <a href="https://arxiv.org/abs/2202.09741" rel="nofollow">Visual Attention Network</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/videomae" rel="nofollow">VideoMAE</a></strong> (Multimedia Computing Group, Nanjing University から) Zhan Tong, Yibing Song, Jue Wang, Limin Wang から公開された研究論文: <a href="https://arxiv.org/abs/2203.12602" rel="nofollow">VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/vilt" rel="nofollow">ViLT</a></strong> (NAVER AI Lab/Kakao Enterprise/Kakao Brain から) Wonjae Kim, Bokyung Son, Ildoo Kim から公開された研究論文: <a href="https://arxiv.org/abs/2102.03334" rel="nofollow">ViLT: Vision-and-Language Transformer Without Convolution or Region Supervision</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/vit" rel="nofollow">Vision Transformer (ViT)</a></strong> (Google AI から) Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob Uszkoreit, Neil Houlsby から公開された研究論文: <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/visual_bert" rel="nofollow">VisualBERT</a></strong> (UCLA NLP から) Liunian Harold Li, Mark Yatskar, Da Yin, Cho-Jui Hsieh, Kai-Wei Chang から公開された研究論文: <a href="https://arxiv.org/pdf/1908.03557" rel="nofollow">VisualBERT: A Simple and Performant Baseline for Vision and Language</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/main/model_doc/vit_hybrid" rel="nofollow">ViT Hybrid</a></strong> (Google AI から) Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob Uszkoreit, Neil Houlsby から公開された研究論文: <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/vit_mae" rel="nofollow">ViTMAE</a></strong> (Meta AI から) Kaiming He, Xinlei Chen, Saining Xie, Yanghao Li, Piotr Dollár, Ross Girshick から公開された研究論文: <a href="https://arxiv.org/abs/2111.06377" rel="nofollow">Masked Autoencoders Are Scalable Vision Learners</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/vit_msn" rel="nofollow">ViTMSN</a></strong> (Meta AI から) Mahmoud Assran, Mathilde Caron, Ishan Misra, Piotr Bojanowski, Florian Bordes, Pascal Vincent, Armand Joulin, Michael Rabbat, Nicolas Ballas から公開された研究論文: <a href="https://arxiv.org/abs/2204.07141" rel="nofollow">Masked Siamese Networks for Label-Efficient Learning</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/wav2vec2" rel="nofollow">Wav2Vec2</a></strong> (Facebook AI から) Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/2006.11477" rel="nofollow">wav2vec 2.0: A Framework for Self-Supervised Learning of Speech Representations</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/wav2vec2-conformer" rel="nofollow">Wav2Vec2-Conformer</a></strong> (Facebook AI から) Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino から公開された研究論文: <a href="https://arxiv.org/abs/2010.05171" rel="nofollow">FAIRSEQ S2T: Fast Speech-to-Text Modeling with FAIRSEQ</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/wav2vec2_phoneme" rel="nofollow">Wav2Vec2Phoneme</a></strong> (Facebook AI から) Qiantong Xu, Alexei Baevski, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/2109.11680" rel="nofollow">Simple and Effective Zero-shot Cross-lingual Phoneme Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/wavlm" rel="nofollow">WavLM</a></strong> (Microsoft Research から) Sanyuan Chen, Chengyi Wang, Zhengyang Chen, Yu Wu, Shujie Liu, Zhuo Chen, Jinyu Li, Naoyuki Kanda, Takuya Yoshioka, Xiong Xiao, Jian Wu, Long Zhou, Shuo Ren, Yanmin Qian, Yao Qian, Jian Wu, Michael Zeng, Furu Wei から公開された研究論文: <a href="https://arxiv.org/abs/2110.13900" rel="nofollow">WavLM: Large-Scale Self-Supervised Pre-Training for Full Stack Speech Processing</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/whisper" rel="nofollow">Whisper</a></strong> (OpenAI から) Alec Radford, Jong Wook Kim, Tao Xu, Greg Brockman, Christine McLeavey, Ilya Sutskever から公開された研究論文: <a href="https://cdn.openai.com/papers/whisper.pdf" rel="nofollow">Robust Speech Recognition via Large-Scale Weak Supervision</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xclip" rel="nofollow">X-CLIP</a></strong> (Microsoft Research から) Bolin Ni, Houwen Peng, Minghao Chen, Songyang Zhang, Gaofeng Meng, Jianlong Fu, Shiming Xiang, Haibin Ling から公開された研究論文: <a href="https://arxiv.org/abs/2208.02816" rel="nofollow">Expanding Language-Image Pretrained Models for General Video Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xglm" rel="nofollow">XGLM</a></strong> (From Facebook AI) Xi Victoria Lin, Todor Mihaylov, Mikel Artetxe, Tianlu Wang, Shuohui Chen, Daniel Simig, Myle Ott, Naman Goyal, Shruti Bhosale, Jingfei Du, Ramakanth Pasunuru, Sam Shleifer, Punit Singh Koura, Vishrav Chaudhary, Brian O’Horo, Jeff Wang, Luke Zettlemoyer, Zornitsa Kozareva, Mona Diab, Veselin Stoyanov, Xian Li から公開された研究論文: <a href="https://arxiv.org/abs/2112.10668" rel="nofollow">Few-shot Learning with Multilingual Language Models</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlm" rel="nofollow">XLM</a></strong> (Facebook から) Guillaume Lample and Alexis Conneau から公開された研究論文: <a href="https://arxiv.org/abs/1901.07291" rel="nofollow">Cross-lingual Language Model Pretraining</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlm-prophetnet" rel="nofollow">XLM-ProphetNet</a></strong> (Microsoft Research から) Yu Yan, Weizhen Qi, Yeyun Gong, Dayiheng Liu, Nan Duan, Jiusheng Chen, Ruofei Zhang and Ming Zhou から公開された研究論文: <a href="https://arxiv.org/abs/2001.04063" rel="nofollow">ProphetNet: Predicting Future N-gram for Sequence-to-Sequence Pre-training</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlm-roberta" rel="nofollow">XLM-RoBERTa</a></strong> (Facebook AI から), Alexis Conneau<em>, Kartikay Khandelwal</em>, Naman Goyal, Vishrav Chaudhary, Guillaume Wenzek, Francisco Guzmán, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov から公開された研究論文: <a href="https://arxiv.org/abs/1911.02116" rel="nofollow">Unsupervised Cross-lingual Representation Learning at Scale</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlm-roberta-xl" rel="nofollow">XLM-RoBERTa-XL</a></strong> (Facebook AI から), Naman Goyal, Jingfei Du, Myle Ott, Giri Anantharaman, Alexis Conneau から公開された研究論文: <a href="https://arxiv.org/abs/2105.00572" rel="nofollow">Larger-Scale Transformers for Multilingual Masked Language Modeling</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlnet" rel="nofollow">XLNet</a></strong> (Google/CMU から) Zhilin Yang<em>, Zihang Dai</em>, Yiming Yang, Jaime Carbonell, Ruslan Salakhutdinov, Quoc V. Le から公開された研究論文: <a href="https://arxiv.org/abs/1906.08237" rel="nofollow">​XLNet: Generalized Autoregressive Pretraining for Language Understanding</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xls_r" rel="nofollow">XLS-R</a></strong> (Facebook AI から) Arun Babu, Changhan Wang, Andros Tjandra, Kushal Lakhotia, Qiantong Xu, Naman Goyal, Kritika Singh, Patrick von Platen, Yatharth Saraf, Juan Pino, Alexei Baevski, Alexis Conneau, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/2111.09296" rel="nofollow">XLS-R: Self-supervised Cross-lingual Speech Representation Learning at Scale</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/xlsr_wav2vec2" rel="nofollow">XLSR-Wav2Vec2</a></strong> (Facebook AI から) Alexis Conneau, Alexei Baevski, Ronan Collobert, Abdelrahman Mohamed, Michael Auli から公開された研究論文: <a href="https://arxiv.org/abs/2006.13979" rel="nofollow">Unsupervised Cross-Lingual Representation Learning For Speech Recognition</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/yolos" rel="nofollow">YOLOS</a></strong> (Huazhong University of Science &amp; Technology から) Yuxin Fang, Bencheng Liao, Xinggang Wang, Jiemin Fang, Jiyang Qi, Rui Wu, Jianwei Niu, Wenyu Liu から公開された研究論文: <a href="https://arxiv.org/abs/2106.00666" rel="nofollow">You Only Look at One Sequence: Rethinking Transformer in Vision through Object Detection</a></li> <li><strong><a href="https://huggingface.co/docs/transformers/model_doc/yoso" rel="nofollow">YOSO</a></strong> (the University of Wisconsin - Madison から) Zhanpeng Zeng, Yunyang Xiong, Sathya N. Ravi, Shailesh Acharya, Glenn Fung, Vikas Singh から公開された研究論文: <a href="https://arxiv.org/abs/2111.09714" rel="nofollow">You Only Sample (Almost) Once: Linear Cost Self-Attention Via Bernoulli Sampling</a></li>',z,M,j,A,ce="以下のテーブルはそれぞれのモデルでサポートされているライブラリを示しています。“slow”と呼ばれるPythonトークナイザー、🤗 Tokenizers ライブラリによる”fast”トークナイザー、PyTorch, TensorFlow, Flaxの5つのそれぞれがサポートされているかを示しています。",q,y,he='<thead><tr><th align="center">Model</th> <th align="center">Tokenizer slow</th> <th align="center">Tokenizer fast</th> <th align="center">PyTorch support</th> <th align="center">TensorFlow support</th> <th align="center">Flax Support</th></tr></thead> <tbody><tr><td align="center">ALBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">AltCLIP</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Audio Spectrogram Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BEiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Bert Generation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BigBird</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">BigBird-Pegasus</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BioGpt</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Blenderbot</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BlenderbotSmall</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">BLIP</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">BLOOM</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">CamemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CANINE</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Chinese-CLIP</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">CLIP</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">CLIPSeg</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">CodeGen</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Conditional DETR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ConvBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ConvNeXT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CTRL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">CvT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecAudio</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecText</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Data2VecVision</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DeBERTa-v2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Decision Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Deformable DETR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DeiT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DETR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DiNAT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DistilBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">DonutSwin</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">DPR</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">DPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ELECTRA</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">ERNIE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ESM</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">FairSeq Machine-Translation</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">FlauBERT</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">FLAVA</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">FNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Funnel Transformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">GIT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GLPN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT Neo</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">GPT NeoX</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT NeoX Japanese</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">GPT-J</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">GPT-Sw3</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">GroupViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Hubert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">I-BERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ImageGPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Jukebox</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLMv2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LayoutLMv3</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LED</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LeViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LiLT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Longformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">LongT5</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">LUKE</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">LXMERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">M-CTC-T</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">M2M100</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Marian</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MarkupLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Mask2Former</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MaskFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MaskFormerSwin</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">mBART</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Megatron-BERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MobileBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MobileNetV1</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MobileNetV2</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">MobileViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MPNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">MT5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">MVP</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">NAT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Nezha</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Nyströmformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">OpenAI GPT-2</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">OPT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">OWL-ViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Pegasus</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">PEGASUS-X</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Perceiver</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PLBart</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">PoolFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">QDQBert</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RAG</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">REALM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Reformer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RegNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RemBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ResNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RetriBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RoBERTa-PreLayerNorm</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">RoCBert</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">RoFormer</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">SegFormer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">SEW</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SEW-D</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Speech Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">Speech2Text</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Speech2Text2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Splinter</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SqueezeBERT</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Swin Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Swin Transformer V2</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Swin2SR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">SwitchTransformers</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">T5</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Table Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">TAPAS</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">Time Series Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">TimeSformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Trajectory Transformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Transformer-XL</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">TrOCR</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeech</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UniSpeechSat</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">UPerNet</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">VAN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">VideoMAE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViLT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Vision Encoder decoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">VisionTextDualEncoder</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center">VisualBERT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViT</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">ViT Hybrid</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">ViTMAE</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">ViTMSN</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Wav2Vec2</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">Wav2Vec2-Conformer</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">WavLM</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">Whisper</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">X-CLIP</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XGLM</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">XLM</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">XLM-ProphetNet</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLM-RoBERTa</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center">XLM-RoBERTa-XL</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">XLNet</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center">YOLOS</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center">YOSO</td> <td align="center">❌</td> <td align="center">❌</td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr></tbody>',Q,x,$;return c=new G({props:{title:"🤗 Transformers",local:"-transformers",headingTag:"h1"}}),w=new G({props:{title:"Hugging Faceチームによるカスタムサポートをご希望の場合",local:"hugging-faceチームによるカスタムサポートをご希望の場合",headingTag:"h2"}}),v=new G({props:{title:"目次",local:"目次",headingTag:"h2"}}),b=new G({props:{title:"サポートされているモデル",local:"サポートされているモデル",headingTag:"h3"}}),M=new G({props:{title:"サポートされているフレームワーク",local:"サポートされているフレームワーク",headingTag:"h3"}}),{c(){g=i("meta"),D=a(),R=i("p"),N=a(),C(c.$$.fragment),I=a(),h=i("p"),h.innerHTML=ne,W=a(),f=i("p"),f.textContent=re,J=a(),u=i("p"),u.innerHTML=ae,F=a(),m=i("p"),m.textContent=oe,H=a(),p=i("p"),p.innerHTML=ie,V=a(),C(w.$$.fragment),Y=a(),s=i("a"),s.innerHTML=le,Z=a(),C(v.$$.fragment),X=a(),T=i("p"),T.textContent=de,K=a(),L=i("ul"),L.innerHTML=ge,U=a(),C(b.$$.fragment),O=a(),S=i("ol"),S.innerHTML=se,z=a(),C(M.$$.fragment),j=a(),A=i("p"),A.textContent=ce,q=a(),y=i("table"),y.innerHTML=he,Q=a(),x=i("p"),this.h()},l(e){const t=Te("svelte-u9bgzb",document.head);g=l(t,"META",{name:!0,content:!0}),t.forEach(n),D=o(e),R=l(e,"P",{}),fe(R).forEach(n),N=o(e),P(c.$$.fragment,e),I=o(e),h=l(e,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1ei3dra"&&(h.innerHTML=ne),W=o(e),f=l(e,"P",{"data-svelte-h":!0}),d(f)!=="svelte-mlbdeh"&&(f.textContent=re),J=o(e),u=l(e,"P",{"data-svelte-h":!0}),d(u)!=="svelte-12j37rp"&&(u.innerHTML=ae),F=o(e),m=l(e,"P",{"data-svelte-h":!0}),d(m)!=="svelte-12twsni"&&(m.textContent=oe),H=o(e),p=l(e,"P",{"data-svelte-h":!0}),d(p)!=="svelte-14t5kz5"&&(p.innerHTML=ie),V=o(e),P(w.$$.fragment,e),Y=o(e),s=l(e,"A",{target:!0,href:!0,"data-svelte-h":!0}),d(s)!=="svelte-16714py"&&(s.innerHTML=le),Z=o(e),P(v.$$.fragment,e),X=o(e),T=l(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-14bomhq"&&(T.textContent=de),K=o(e),L=l(e,"UL",{"data-svelte-h":!0}),d(L)!=="svelte-m1o41f"&&(L.innerHTML=ge),U=o(e),P(b.$$.fragment,e),O=o(e),S=l(e,"OL",{"data-svelte-h":!0}),d(S)!=="svelte-1yo9a32"&&(S.innerHTML=se),z=o(e),P(M.$$.fragment,e),j=o(e),A=l(e,"P",{"data-svelte-h":!0}),d(A)!=="svelte-1wvwyqy"&&(A.textContent=ce),q=o(e),y=l(e,"TABLE",{"data-svelte-h":!0}),d(y)!=="svelte-1xhc3za"&&(y.innerHTML=he),Q=o(e),x=l(e,"P",{}),fe(x).forEach(n),this.h()},h(){ee(g,"name","hf:doc:metadata"),ee(g,"content",Se),ee(s,"target","_blank"),ee(s,"href","https://huggingface.co/support")},m(e,t){Le(document.head,g),r(e,D,t),r(e,R,t),r(e,N,t),k(c,e,t),r(e,I,t),r(e,h,t),r(e,W,t),r(e,f,t),r(e,J,t),r(e,u,t),r(e,F,t),r(e,m,t),r(e,H,t),r(e,p,t),r(e,V,t),k(w,e,t),r(e,Y,t),r(e,s,t),r(e,Z,t),k(v,e,t),r(e,X,t),r(e,T,t),r(e,K,t),r(e,L,t),r(e,U,t),k(b,e,t),r(e,O,t),r(e,S,t),r(e,z,t),k(M,e,t),r(e,j,t),r(e,A,t),r(e,q,t),r(e,y,t),r(e,Q,t),r(e,x,t),$=!0},p:me,i(e){$||(E(c.$$.fragment,e),E(w.$$.fragment,e),E(v.$$.fragment,e),E(b.$$.fragment,e),E(M.$$.fragment,e),$=!0)},o(e){_(c.$$.fragment,e),_(w.$$.fragment,e),_(v.$$.fragment,e),_(b.$$.fragment,e),_(M.$$.fragment,e),$=!1},d(e){e&&(n(D),n(R),n(N),n(I),n(h),n(W),n(f),n(J),n(u),n(F),n(m),n(H),n(p),n(V),n(Y),n(s),n(Z),n(X),n(T),n(K),n(L),n(U),n(O),n(S),n(z),n(j),n(A),n(q),n(y),n(Q),n(x)),n(g),B(c,e),B(w,e),B(v,e),B(b,e),B(M,e)}}}const Se='{"title":"🤗 Transformers","local":"-transformers","sections":[{"title":"Hugging Faceチームによるカスタムサポートをご希望の場合","local":"hugging-faceチームによるカスタムサポートをご希望の場合","sections":[],"depth":2},{"title":"目次","local":"目次","sections":[{"title":"サポートされているモデル","local":"サポートされているモデル","sections":[],"depth":3},{"title":"サポートされているフレームワーク","local":"サポートされているフレームワーク","sections":[],"depth":3}],"depth":2}],"depth":1}';function Me(te){return pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xe extends we{constructor(g){super(),ve(this,g,Me,be,ue,{})}}export{xe as component};
