import{s as K,n as O,o as Q}from"../chunks/scheduler.56730f09.js";import{S as V,i as W,g as o,s as c,r as X,A as Z,h as a,f as d,c as i,j as D,u as tt,x as r,k as J,y as et,a as n,v as dt,d as nt,t as ot,w as ct}from"../chunks/index.61415d3e.js";import{H as at}from"../chunks/Heading.9036b585.js";function it(G){let l,L,b,z,s,H,u,N="バッチ入力はしばしば異なる長さであり、固定サイズのテンソルに変換できないため、変動する長さのバッチから長方形のテンソルを作成するための戦略として、パディングと切り詰めがあります。パディングは、短いシーケンスがバッチ内の最長シーケンスまたはモデルが受け入れる最大長と同じ長さになるように、特別な<strong>パディングトークン</strong>を追加します。切り詰めは、長いシーケンスを切り詰めることで逆方向に機能します。",M,p,Y="ほとんどの場合、バッチを最長シーケンスの長さにパディングし、モデルが受け入れる最大長に切り詰めることで、うまく動作します。ただし、APIはそれ以上の戦略もサポートしています。必要な3つの引数は次のとおりです：<code>padding</code>、<code>truncation</code>、および <code>max_length</code>。",k,_,w="<code>padding</code>引数はパディングを制御します。ブール値または文字列であることができます：",P,h,j="<li><code>True</code>または<code>&#39;longest&#39;</code>：バッチ内の最長シーケンスにパディングを追加します（シーケンスが1つしか提供されない場合、パディングは適用されません）。</li> <li><code>max_length&#39;</code>：<code>max_length</code>引数で指定された長さまでパディングを追加します。または<code>max_length</code>が提供されていない場合はモデルが受け入れる最大長（<code>max_length=None</code>）。シーケンスが1つしか提供されている場合でも、パディングは適用されます。</li> <li><code>False</code>または<code>&#39;do_not_pad&#39;</code>：パディングは適用されません。これがデフォルトの動作です。</li>",y,m,q="<code>truncation</code>引数は切り詰めを制御します。ブール値または文字列であることができます：",E,g,U="<li><code>True</code>または<code>&#39;longest_first&#39;</code>：最大長を<code>max_length</code>引数で指定するか、モデルが受け入れる最大長（<code>max_length=None</code>）まで切り詰めます。これはトークンごとに切り詰め、適切な長さに達するまでペア内の最長シーケンスからトークンを削除します。</li> <li><code>&#39;only_second&#39;</code>：最大長を<code>max_length</code>引数で指定するか、モデルが受け入れる最大長（<code>max_length=None</code>）まで切り詰めます。これはペアの2番目の文だけを切り詰めます（シーケンスのペアまたはシーケンスのバッチのペアが提供された場合）。</li> <li><code>&#39;only_first&#39;</code>：最大長を<code>max_length</code>引数で指定するか、モデルが受け入れる最大長（<code>max_length=None</code>）まで切り詰めます。これはペアの最初の文だけを切り詰めます（シーケンスのペアまたはシーケンスのバッチのペアが提供された場合）。</li> <li><code>False</code>または<code>&#39;do_not_truncate&#39;</code>：切り詰めは適用されません。これがデフォルトの動作です。</li>",A,T,F="<code>max_length</code>引数はパディングと切り詰めの長さを制御します。整数または<code>None</code>であり、この場合、モデルが受け入れる最大入力長にデフォルトで設定されます。モデルに特定の最大入力長がない場合、<code>max_length</code>への切り詰めまたはパディングは無効になります。",C,x,I="以下の表は、パディングと切り詰めを設定する推奨方法を要約しています。以下の例のいずれかで入力シーケンスのペアを使用する場合、<code>truncation=True</code>を<code>[&#39;only_first&#39;, &#39;only_second&#39;, &#39;longest_first&#39;]</code>で選択した<code>STRATEGY</code>に置き換えることができます。つまり、<code>truncation=&#39;only_second&#39;</code>または<code>truncation=&#39;longest_first&#39;</code>を使用して、ペア内の両方のシーケンスを前述のように切り詰める方法を制御できます。",S,f,B="<thead><tr><th>Truncation</th> <th>Padding</th> <th>Instruction</th></tr></thead> <tbody><tr><td>no truncation</td> <td>no padding</td> <td><code>tokenizer(batch_sentences)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;longest&#39;)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;)</code></td></tr> <tr><td></td> <td>padding to specific length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, max_length=42)</code></td></tr> <tr><td></td> <td>padding to a multiple of a value</td> <td>`tokenizer(batch_sentences, padding=True, pad_to_multiple_of=8)</td></tr> <tr><td>truncation to max model input length</td> <td>no padding</td> <td><code>tokenizer(batch_sentences, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY)</code></td></tr> <tr><td></td> <td>padding to specific length</td> <td>Not possible</td></tr> <tr><td>truncation to specific length</td> <td>no padding</td> <td><code>tokenizer(batch_sentences, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>padding to max sequence in batch</td> <td><code>tokenizer(batch_sentences, padding=True, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=True, truncation=STRATEGY, max_length=42)</code></td></tr> <tr><td></td> <td>padding to max model input length</td> <td>Not possible</td></tr> <tr><td></td> <td>padding to specific length</td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=True, max_length=42)</code> or</td></tr> <tr><td></td> <td></td> <td><code>tokenizer(batch_sentences, padding=&#39;max_length&#39;, truncation=STRATEGY, max_length=42)</code></td></tr></tbody>",$,v,R;return s=new at({props:{title:"Padding and truncation",local:"padding-and-truncation",headingTag:"h1"}}),{c(){l=o("meta"),L=c(),b=o("p"),z=c(),X(s.$$.fragment),H=c(),u=o("p"),u.innerHTML=N,M=c(),p=o("p"),p.innerHTML=Y,k=c(),_=o("p"),_.innerHTML=w,P=c(),h=o("ul"),h.innerHTML=j,y=c(),m=o("p"),m.innerHTML=q,E=c(),g=o("ul"),g.innerHTML=U,A=c(),T=o("p"),T.innerHTML=F,C=c(),x=o("p"),x.innerHTML=I,S=c(),f=o("table"),f.innerHTML=B,$=c(),v=o("p"),this.h()},l(t){const e=Z("svelte-u9bgzb",document.head);l=a(e,"META",{name:!0,content:!0}),e.forEach(d),L=i(t),b=a(t,"P",{}),D(b).forEach(d),z=i(t),tt(s.$$.fragment,t),H=i(t),u=a(t,"P",{"data-svelte-h":!0}),r(u)!=="svelte-9h3iez"&&(u.innerHTML=N),M=i(t),p=a(t,"P",{"data-svelte-h":!0}),r(p)!=="svelte-15n5r0n"&&(p.innerHTML=Y),k=i(t),_=a(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1bjovf3"&&(_.innerHTML=w),P=i(t),h=a(t,"UL",{"data-svelte-h":!0}),r(h)!=="svelte-10cvcjv"&&(h.innerHTML=j),y=i(t),m=a(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-17yjc0v"&&(m.innerHTML=q),E=i(t),g=a(t,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-r3hb97"&&(g.innerHTML=U),A=i(t),T=a(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-fupt8p"&&(T.innerHTML=F),C=i(t),x=a(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-10apqc3"&&(x.innerHTML=I),S=i(t),f=a(t,"TABLE",{"data-svelte-h":!0}),r(f)!=="svelte-1btfijn"&&(f.innerHTML=B),$=i(t),v=a(t,"P",{}),D(v).forEach(d),this.h()},h(){J(l,"name","hf:doc:metadata"),J(l,"content",lt)},m(t,e){et(document.head,l),n(t,L,e),n(t,b,e),n(t,z,e),dt(s,t,e),n(t,H,e),n(t,u,e),n(t,M,e),n(t,p,e),n(t,k,e),n(t,_,e),n(t,P,e),n(t,h,e),n(t,y,e),n(t,m,e),n(t,E,e),n(t,g,e),n(t,A,e),n(t,T,e),n(t,C,e),n(t,x,e),n(t,S,e),n(t,f,e),n(t,$,e),n(t,v,e),R=!0},p:O,i(t){R||(nt(s.$$.fragment,t),R=!0)},o(t){ot(s.$$.fragment,t),R=!1},d(t){t&&(d(L),d(b),d(z),d(H),d(u),d(M),d(p),d(k),d(_),d(P),d(h),d(y),d(m),d(E),d(g),d(A),d(T),d(C),d(x),d(S),d(f),d($),d(v)),d(l),ct(s,t)}}}const lt='{"title":"Padding and truncation","local":"padding-and-truncation","sections":[],"depth":1}';function rt(G){return Q(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _t extends V{constructor(l){super(),W(this,l,rt,it,K,{})}}export{_t as component};
