import{s as Fe,o as Ge,n as je}from"../chunks/scheduler.56730f09.js";import{S as Ve,i as Re,g as d,s as m,r as j,A as Ae,h,f as t,c,j as ke,u as y,x as _,k as We,y as He,a,v as M,d as w,t as v,w as Z}from"../chunks/index.1f144517.js";import{T as Je}from"../chunks/Tip.41e845e5.js";import{C as G}from"../chunks/CodeBlock.738eeccb.js";import{F as Ee,M as Ue}from"../chunks/Markdown.c541024b.js";import{H as D}from"../chunks/Heading.57d46534.js";function Ne(J){let s,u='아키텍처는 모델의 골격을 의미하며 체크포인트는 주어진 아키텍처에 대한 가중치입니다. 예를 들어, <a href="https://huggingface.co/bert-base-uncased" rel="nofollow">BERT</a>는 아키텍처이고, <code>bert-base-uncased</code>는 체크포인트입니다. 모델은 아키텍처 또는 체크포인트를 의미할 수 있는 일반적인 용어입니다.';return{c(){s=d("p"),s.innerHTML=u},l(n){s=h(n,"P",{"data-svelte-h":!0}),_(s)!=="svelte-16p0tdi"&&(s.innerHTML=u)},m(n,p){a(n,s,p)},p:je,d(n){n&&t(s)}}}function Xe(J){let s,u=`PyTorch모델의 경우 <code>from_pretrained()</code> 메서드는 내부적으로 피클을 사용하여 안전하지 않은 것으로 알려진 <code>torch.load()</code>를 사용합니다.
일반적으로 신뢰할 수 없는 소스에서 가져왔거나 변조되었을 수 있는 모델은 로드하지 마세요. 허깅 페이스 허브에서 호스팅되는 공개 모델의 경우 이러한 보안 위험이 부분적으로 완화되며, 각 커밋 시 멀웨어를 <a href="https://huggingface.co/docs/hub/security-malware" rel="nofollow">검사합니다</a>. GPG를 사용해 서명된 <a href="https://huggingface.co/docs/hub/security-gpg#signing-commits-with-gpg" rel="nofollow">커밋 검증</a>과 같은 모범사례는 <a href="https://huggingface.co/docs/hub/security" rel="nofollow">문서</a>를 참조하세요.`,n,p,f="텐서플로우와 Flax 체크포인트는 영향을 받지 않으며, <code>from_pretrained</code>메서드에 <code>from_tf</code> 와 <code>from_flax</code> 키워드 가변 인자를 사용하여 이 문제를 우회할 수 있습니다.";return{c(){s=d("p"),s.innerHTML=u,n=m(),p=d("p"),p.innerHTML=f},l(i){s=h(i,"P",{"data-svelte-h":!0}),_(s)!=="svelte-1u3kbez"&&(s.innerHTML=u),n=c(i),p=h(i,"P",{"data-svelte-h":!0}),_(p)!=="svelte-7z7rov"&&(p.innerHTML=f)},m(i,x){a(i,s,x),a(i,n,x),a(i,p,x)},p:je,d(i){i&&(t(s),t(n),t(p))}}}function Le(J){let s,u='마지막으로 AutoModelFor클래스를 사용하면 주어진 작업에 대해 미리 학습된 모델을 로드할 수 있습니다 (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요). 예를 들어, <code>AutoModelForSequenceClassification.from_pretrained()</code>를 사용하여 시퀀스 분류용 모델을 로드할 수 있습니다:',n,p,f,i,x="동일한 체크포인트를 쉽게 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",U,g,T,b,k,W,o='일반적으로 AutoTokenizer 클래스와 AutoModelFor 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',$;return p=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclNlcXVlbmNlQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),g=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24lMEElMEFtb2RlbCUyMCUzRCUyMEF1dG9Nb2RlbEZvclRva2VuQ2xhc3NpZmljYXRpb24uZnJvbV9wcmV0cmFpbmVkKCUyMmRpc3RpbGJlcnQtYmFzZS11bmNhc2VkJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),b=new Je({props:{warning:!0,$$slots:{default:[Xe]},$$scope:{ctx:J}}}),{c(){s=d("p"),s.innerHTML=u,n=m(),j(p.$$.fragment),f=m(),i=d("p"),i.textContent=x,U=m(),j(g.$$.fragment),T=m(),j(b.$$.fragment),k=m(),W=d("p"),W.innerHTML=o},l(r){s=h(r,"P",{"data-svelte-h":!0}),_(s)!=="svelte-18uszv6"&&(s.innerHTML=u),n=c(r),y(p.$$.fragment,r),f=c(r),i=h(r,"P",{"data-svelte-h":!0}),_(i)!=="svelte-7ro1yz"&&(i.textContent=x),U=c(r),y(g.$$.fragment,r),T=c(r),y(b.$$.fragment,r),k=c(r),W=h(r,"P",{"data-svelte-h":!0}),_(W)!=="svelte-4umuej"&&(W.innerHTML=o)},m(r,C){a(r,s,C),a(r,n,C),M(p,r,C),a(r,f,C),a(r,i,C),a(r,U,C),M(g,r,C),a(r,T,C),M(b,r,C),a(r,k,C),a(r,W,C),$=!0},p(r,C){const F={};C&2&&(F.$$scope={dirty:C,ctx:r}),b.$set(F)},i(r){$||(w(p.$$.fragment,r),w(g.$$.fragment,r),w(b.$$.fragment,r),$=!0)},o(r){v(p.$$.fragment,r),v(g.$$.fragment,r),v(b.$$.fragment,r),$=!1},d(r){r&&(t(s),t(n),t(f),t(i),t(U),t(T),t(k),t(W)),Z(p,r),Z(g,r),Z(b,r)}}}function ze(J){let s,u;return s=new Ue({props:{$$slots:{default:[Le]},$$scope:{ctx:J}}}),{c(){j(s.$$.fragment)},l(n){y(s.$$.fragment,n)},m(n,p){M(s,n,p),u=!0},p(n,p){const f={};p&2&&(f.$$scope={dirty:p,ctx:n}),s.$set(f)},i(n){u||(w(s.$$.fragment,n),u=!0)},o(n){v(s.$$.fragment,n),u=!1},d(n){Z(s,n)}}}function Ye(J){let s,u='마지막으로 <code>TFAutoModelFor</code> 클래스를 사용하면 주어진 작업에 대해 사전 훈련된 모델을 로드할 수 있습니다. (사용 가능한 작업의 전체 목록은 <a href="model_doc/auto">여기</a>를 참조하세요. 예를 들어, <code>TFAutoModelForSequenceClassification.from_pretrained()</code>로 시퀀스 분류를 위한 모델을 로드합니다:',n,p,f,i,x="쉽게 동일한 체크포인트를 재사용하여 다른 작업에 아키텍처를 로드할 수 있습니다:",U,g,T,b,k='일반적으로, <code>AutoTokenizer</code>클래스와 <code>TFAutoModelFor</code> 클래스를 사용하여 미리 학습된 모델 인스턴스를 로드하는 것이 좋습니다. 이렇게 하면 매번 올바른 아키텍처를 로드할 수 있습니다. 다음 <a href="preprocessing">튜토리얼</a>에서는 새롭게 로드한 토크나이저, 이미지 프로세서, 특징 추출기를 사용하여 미세 튜닝용 데이터 세트를 전처리하는 방법에 대해 알아봅니다.',W;return p=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yU2VxdWVuY2VDbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JTZXF1ZW5jZUNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),g=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMFRGQXV0b01vZGVsRm9yVG9rZW5DbGFzc2lmaWNhdGlvbiUwQSUwQW1vZGVsJTIwJTNEJTIwVEZBdXRvTW9kZWxGb3JUb2tlbkNsYXNzaWZpY2F0aW9uLmZyb21fcHJldHJhaW5lZCglMjJkaXN0aWxiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFAutoModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;distilbert-base-uncased&quot;</span>)`,wrap:!1}}),{c(){s=d("p"),s.innerHTML=u,n=m(),j(p.$$.fragment),f=m(),i=d("p"),i.textContent=x,U=m(),j(g.$$.fragment),T=m(),b=d("p"),b.innerHTML=k},l(o){s=h(o,"P",{"data-svelte-h":!0}),_(s)!=="svelte-xsgejq"&&(s.innerHTML=u),n=c(o),y(p.$$.fragment,o),f=c(o),i=h(o,"P",{"data-svelte-h":!0}),_(i)!=="svelte-1ilzt8b"&&(i.textContent=x),U=c(o),y(g.$$.fragment,o),T=c(o),b=h(o,"P",{"data-svelte-h":!0}),_(b)!=="svelte-1w046dp"&&(b.innerHTML=k)},m(o,$){a(o,s,$),a(o,n,$),M(p,o,$),a(o,f,$),a(o,i,$),a(o,U,$),M(g,o,$),a(o,T,$),a(o,b,$),W=!0},p:je,i(o){W||(w(p.$$.fragment,o),w(g.$$.fragment,o),W=!0)},o(o){v(p.$$.fragment,o),v(g.$$.fragment,o),W=!1},d(o){o&&(t(s),t(n),t(f),t(i),t(U),t(T),t(b)),Z(p,o),Z(g,o)}}}function Pe(J){let s,u;return s=new Ue({props:{$$slots:{default:[Ye]},$$scope:{ctx:J}}}),{c(){j(s.$$.fragment)},l(n){y(s.$$.fragment,n)},m(n,p){M(s,n,p),u=!0},p(n,p){const f={};p&2&&(f.$$scope={dirty:p,ctx:n}),s.$set(f)},i(n){u||(w(s.$$.fragment,n),u=!0)},o(n){v(s.$$.fragment,n),u=!1},d(n){Z(s,n)}}}function qe(J){let s,u,n,p,f,i,x,U=`트랜스포머 아키텍처가 매우 다양하기 때문에 체크포인트에 맞는 아키텍처를 생성하는 것이 어려울 수 있습니다. 라이브러리를 쉽고 간단하며 유연하게 사용하기 위한 Transformer 핵심 철학의 일환으로, <code>AutoClass</code>는 주어진 체크포인트에서 올바른 아키텍처를 자동으로 추론하여 로드합니다. <code>from_pretrained()</code> 메서드를 사용하면 모든 아키텍처에 대해 사전 학습된 모델을 빠르게 로드할 수 있으므로 모델을 처음부터 학습하는 데 시간과 리소스를 투입할 필요가 없습니다.
체크포인트에 구애받지 않는 코드를 생성한다는 것은 코드가 한 체크포인트에서 작동하면 아키텍처가 다르더라도 다른 체크포인트(유사한 작업에 대해 학습된 경우)에서도 작동한다는 것을 의미합니다.`,g,T,b,k,W="이 튜토리얼에서는 다음을 학습합니다:",o,$,r="<li>사전 학습된 토크나이저 로드하기.</li> <li>사전 학습된 이미지 프로세서 로드하기.</li> <li>사전 학습된 특징 추출기 로드하기.</li> <li>사전 훈련된 프로세서 로드하기.</li> <li>사전 학습된 모델 로드하기.</li>",C,F,ee,R,ye=`거의 모든 NLP 작업은 토크나이저로 시작됩니다. 토크나이저는 사용자의 입력을 모델에서 처리할 수 있는 형식으로 변환합니다.
<code>AutoTokenizer.from_pretrained()</code>로 토크나이저를 로드합니다:`,te,A,se,H,Me="그리고 아래와 같이 입력을 토큰화합니다:",le,E,ae,N,ne,X,we="비전 작업의 경우 이미지 프로세서가 이미지를 올바른 입력 형식으로 처리합니다.",re,L,pe,z,oe,Y,ve="오디오 작업의 경우 특징 추출기가 오디오 신호를 올바른 입력 형식으로 처리합니다.",me,P,Ze="<code>AutoFeatureExtractor.from_pretrained()</code>로 특징 추출기를 로드합니다:",ce,q,ie,I,ue,Q,Ce="멀티모달 작업에는 두 가지 유형의 전처리 도구를 결합한 프로세서가 필요합니다. 예를 들어 LayoutLMV2 모델에는 이미지를 처리하는 이미지 프로세서와 텍스트를 처리하는 토크나이저가 필요하며, 프로세서는 이 두 가지를 결합합니다.",fe,B,_e="<code>AutoProcessor.from_pretrained()</code>로 프로세서를 로드합니다:",$e,S,de,K,he,V,be,O,ge;return f=new D({props:{title:"AutoClass로 사전 학습된 인스턴스 로드",local:"load-pretrained-instances-with-an-autoclass",headingTag:"h1"}}),T=new Je({props:{$$slots:{default:[Ne]},$$scope:{ctx:J}}}),F=new D({props:{title:"AutoTokenizer",local:"autotokenizer",headingTag:"h2"}}),A=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Ub2tlbml6ZXIlMEElMEF0b2tlbml6ZXIlMjAlM0QlMjBBdXRvVG9rZW5pemVyLmZyb21fcHJldHJhaW5lZCglMjJiZXJ0LWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)`,wrap:!1}}),E=new G({props:{code:"c2VxdWVuY2UlMjAlM0QlMjAlMjJJbiUyMGElMjBob2xlJTIwaW4lMjB0aGUlMjBncm91bmQlMjB0aGVyZSUyMGxpdmVkJTIwYSUyMGhvYmJpdC4lMjIlMEFwcmludCh0b2tlbml6ZXIoc2VxdWVuY2UpKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>sequence = <span class="hljs-string">&quot;In a hole in the ground there lived a hobbit.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer(sequence))
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: [<span class="hljs-number">101</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">4920</span>, <span class="hljs-number">1999</span>, <span class="hljs-number">1996</span>, <span class="hljs-number">2598</span>, <span class="hljs-number">2045</span>, <span class="hljs-number">2973</span>, <span class="hljs-number">1037</span>, <span class="hljs-number">7570</span>, <span class="hljs-number">10322</span>, <span class="hljs-number">4183</span>, <span class="hljs-number">1012</span>, <span class="hljs-number">102</span>], 
 <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: [<span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>, <span class="hljs-number">0</span>], 
 <span class="hljs-string">&#x27;attention_mask&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>, <span class="hljs-number">1</span>]}`,wrap:!1}}),N=new D({props:{title:"AutoImageProcessor",local:"autoimageprocessor",headingTag:"h2"}}),L=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9JbWFnZVByb2Nlc3NvciUwQSUwQWltYWdlX3Byb2Nlc3NvciUyMCUzRCUyMEF1dG9JbWFnZVByb2Nlc3Nvci5mcm9tX3ByZXRyYWluZWQoJTIyZ29vZ2xlJTJGdml0LWJhc2UtcGF0Y2gxNi0yMjQlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)`,wrap:!1}}),z=new D({props:{title:"AutoFeatureExtractor",local:"autofeatureextractor",headingTag:"h2"}}),q=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9GZWF0dXJlRXh0cmFjdG9yJTBBJTBBZmVhdHVyZV9leHRyYWN0b3IlMjAlM0QlMjBBdXRvRmVhdHVyZUV4dHJhY3Rvci5mcm9tX3ByZXRyYWluZWQoJTBBJTIwJTIwJTIwJTIwJTIyZWhjYWxhYnJlcyUyRndhdjJ2ZWMyLWxnLXhsc3ItZW4tc3BlZWNoLWVtb3Rpb24tcmVjb2duaXRpb24lMjIlMEEp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;ehcalabres/wav2vec2-lg-xlsr-en-speech-emotion-recognition&quot;</span>
<span class="hljs-meta">... </span>)`,wrap:!1}}),I=new D({props:{title:"AutoProcessor",local:"autoprocessor",headingTag:"h2"}}),S=new G({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Qcm9jZXNzb3IlMEElMEFwcm9jZXNzb3IlMjAlM0QlMjBBdXRvUHJvY2Vzc29yLmZyb21fcHJldHJhaW5lZCglMjJtaWNyb3NvZnQlMkZsYXlvdXRsbXYyLWJhc2UtdW5jYXNlZCUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/layoutlmv2-base-uncased&quot;</span>)`,wrap:!1}}),K=new D({props:{title:"AutoModel",local:"automodel",headingTag:"h2"}}),V=new Ee({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Pe],pytorch:[ze]},$$scope:{ctx:J}}}),{c(){s=d("meta"),u=m(),n=d("p"),p=m(),j(f.$$.fragment),i=m(),x=d("p"),x.innerHTML=U,g=m(),j(T.$$.fragment),b=m(),k=d("p"),k.textContent=W,o=m(),$=d("ul"),$.innerHTML=r,C=m(),j(F.$$.fragment),ee=m(),R=d("p"),R.innerHTML=ye,te=m(),j(A.$$.fragment),se=m(),H=d("p"),H.textContent=Me,le=m(),j(E.$$.fragment),ae=m(),j(N.$$.fragment),ne=m(),X=d("p"),X.textContent=we,re=m(),j(L.$$.fragment),pe=m(),j(z.$$.fragment),oe=m(),Y=d("p"),Y.textContent=ve,me=m(),P=d("p"),P.innerHTML=Ze,ce=m(),j(q.$$.fragment),ie=m(),j(I.$$.fragment),ue=m(),Q=d("p"),Q.textContent=Ce,fe=m(),B=d("p"),B.innerHTML=_e,$e=m(),j(S.$$.fragment),de=m(),j(K.$$.fragment),he=m(),j(V.$$.fragment),be=m(),O=d("p"),this.h()},l(e){const l=Ae("svelte-u9bgzb",document.head);s=h(l,"META",{name:!0,content:!0}),l.forEach(t),u=c(e),n=h(e,"P",{}),ke(n).forEach(t),p=c(e),y(f.$$.fragment,e),i=c(e),x=h(e,"P",{"data-svelte-h":!0}),_(x)!=="svelte-77k0i5"&&(x.innerHTML=U),g=c(e),y(T.$$.fragment,e),b=c(e),k=h(e,"P",{"data-svelte-h":!0}),_(k)!=="svelte-qqdsnz"&&(k.textContent=W),o=c(e),$=h(e,"UL",{"data-svelte-h":!0}),_($)!=="svelte-fay6vf"&&($.innerHTML=r),C=c(e),y(F.$$.fragment,e),ee=c(e),R=h(e,"P",{"data-svelte-h":!0}),_(R)!=="svelte-7pofg0"&&(R.innerHTML=ye),te=c(e),y(A.$$.fragment,e),se=c(e),H=h(e,"P",{"data-svelte-h":!0}),_(H)!=="svelte-2tta70"&&(H.textContent=Me),le=c(e),y(E.$$.fragment,e),ae=c(e),y(N.$$.fragment,e),ne=c(e),X=h(e,"P",{"data-svelte-h":!0}),_(X)!=="svelte-34kd90"&&(X.textContent=we),re=c(e),y(L.$$.fragment,e),pe=c(e),y(z.$$.fragment,e),oe=c(e),Y=h(e,"P",{"data-svelte-h":!0}),_(Y)!=="svelte-uavi10"&&(Y.textContent=ve),me=c(e),P=h(e,"P",{"data-svelte-h":!0}),_(P)!=="svelte-1kkigej"&&(P.innerHTML=Ze),ce=c(e),y(q.$$.fragment,e),ie=c(e),y(I.$$.fragment,e),ue=c(e),Q=h(e,"P",{"data-svelte-h":!0}),_(Q)!=="svelte-55zai9"&&(Q.textContent=Ce),fe=c(e),B=h(e,"P",{"data-svelte-h":!0}),_(B)!=="svelte-r7eo2t"&&(B.innerHTML=_e),$e=c(e),y(S.$$.fragment,e),de=c(e),y(K.$$.fragment,e),he=c(e),y(V.$$.fragment,e),be=c(e),O=h(e,"P",{}),ke(O).forEach(t),this.h()},h(){We(s,"name","hf:doc:metadata"),We(s,"content",Ie)},m(e,l){He(document.head,s),a(e,u,l),a(e,n,l),a(e,p,l),M(f,e,l),a(e,i,l),a(e,x,l),a(e,g,l),M(T,e,l),a(e,b,l),a(e,k,l),a(e,o,l),a(e,$,l),a(e,C,l),M(F,e,l),a(e,ee,l),a(e,R,l),a(e,te,l),M(A,e,l),a(e,se,l),a(e,H,l),a(e,le,l),M(E,e,l),a(e,ae,l),M(N,e,l),a(e,ne,l),a(e,X,l),a(e,re,l),M(L,e,l),a(e,pe,l),M(z,e,l),a(e,oe,l),a(e,Y,l),a(e,me,l),a(e,P,l),a(e,ce,l),M(q,e,l),a(e,ie,l),M(I,e,l),a(e,ue,l),a(e,Q,l),a(e,fe,l),a(e,B,l),a(e,$e,l),M(S,e,l),a(e,de,l),M(K,e,l),a(e,he,l),M(V,e,l),a(e,be,l),a(e,O,l),ge=!0},p(e,[l]){const Te={};l&2&&(Te.$$scope={dirty:l,ctx:e}),T.$set(Te);const xe={};l&2&&(xe.$$scope={dirty:l,ctx:e}),V.$set(xe)},i(e){ge||(w(f.$$.fragment,e),w(T.$$.fragment,e),w(F.$$.fragment,e),w(A.$$.fragment,e),w(E.$$.fragment,e),w(N.$$.fragment,e),w(L.$$.fragment,e),w(z.$$.fragment,e),w(q.$$.fragment,e),w(I.$$.fragment,e),w(S.$$.fragment,e),w(K.$$.fragment,e),w(V.$$.fragment,e),ge=!0)},o(e){v(f.$$.fragment,e),v(T.$$.fragment,e),v(F.$$.fragment,e),v(A.$$.fragment,e),v(E.$$.fragment,e),v(N.$$.fragment,e),v(L.$$.fragment,e),v(z.$$.fragment,e),v(q.$$.fragment,e),v(I.$$.fragment,e),v(S.$$.fragment,e),v(K.$$.fragment,e),v(V.$$.fragment,e),ge=!1},d(e){e&&(t(u),t(n),t(p),t(i),t(x),t(g),t(b),t(k),t(o),t($),t(C),t(ee),t(R),t(te),t(se),t(H),t(le),t(ae),t(ne),t(X),t(re),t(pe),t(oe),t(Y),t(me),t(P),t(ce),t(ie),t(ue),t(Q),t(fe),t(B),t($e),t(de),t(he),t(be),t(O)),t(s),Z(f,e),Z(T,e),Z(F,e),Z(A,e),Z(E,e),Z(N,e),Z(L,e),Z(z,e),Z(q,e),Z(I,e),Z(S,e),Z(K,e),Z(V,e)}}}const Ie='{"title":"AutoClass로 사전 학습된 인스턴스 로드","local":"load-pretrained-instances-with-an-autoclass","sections":[{"title":"AutoTokenizer","local":"autotokenizer","sections":[],"depth":2},{"title":"AutoImageProcessor","local":"autoimageprocessor","sections":[],"depth":2},{"title":"AutoFeatureExtractor","local":"autofeatureextractor","sections":[],"depth":2},{"title":"AutoProcessor","local":"autoprocessor","sections":[],"depth":2},{"title":"AutoModel","local":"automodel","sections":[],"depth":2}],"depth":1}';function Qe(J){return Ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class tt extends Ve{constructor(s){super(),Re(this,s,Qe,qe,Fe,{})}}export{tt as component};
